var bEnableAddBtn = false;

var carDetailObj = {};


function init()
{
	 var strUCID = localStorage.getItem("MODIFY_UCID");
	if (isDefine(strUCID))
	{
		carDetailObj.UCID = strUCID;
		getCarInforDetails();
	}
	else
	{
     	//获取省市信息
		getProvinces();
	}
}

function saveAndQuery()
{
	if(false == bEnableAddBtn)
	{
		return;
	}
	
    if (!checkInputInfo())
    {
        return;
    }
	
	disableAddBtn();
	prepareToSubmitCarInfo(cbAddOrModifyCarInfoSuccess,cbAddOrModifyCarInfoFailed,carDetailObj);	
}

function checkInputInfo()
{
	
	carDetailObj.code_province = cityObj.innerText;
	carDetailObj.code = cityObj.dataset.areaCode;
	carDetailObj.tianan = cityObj.dataset.tiananCode;
	
	carDetailObj.nick_province = provinceObj.innerText;
	
	strPlatenum = trim(chepaiObj.value);
	if(isDefine(strPlatenum))
	{
		if (!isChePai(strPlatenum))
		{
			uexWindow.toast(0,5,"车牌含除数字、字符之外的字符",2500);
		}
	}
	else
	{
		uexWindow.toast(0,5,"请输入车牌后5位",2500);
	}
	
	//完整车牌
	carDetailObj.Plate_Num    = carDetailObj.nick_province+carDetailObj.code_province+strPlatenum;
    
    strEngineNo = trim($$("engine_no").value);
    if(!isDefine(strEngineNo)){
        showMessageToast("error","请输入完整的发动机号码",2500);
        return false;
    }
	else
	{
		carDetailObj.Enginer_Num = strEngineNo;
	}
    
    strClassNo = trim($$("class_no").value);
    if(!isDefine(strClassNo)){
        showMessageToast("error","请输入完整的车架号码",2500);
        return false;
    }
	else
	{
		carDetailObj.VIN = strClassNo;
	}
    
    return true;
}


function cbAddOrModifyCarInfoFailed(_isOwerIDError)
{
	 enableAddBtn();
	 uexWindow.toast(0,5,"保存失败！",2500);
}

function cbAddOrModifyCarInfoSuccess(_jResponse)
{
	 enableAddBtn();
	 
	uexWindow.evaluateScript("", "0", "updateCarList('"+carDetailObj.Plate_Num+"')");
	closePop();
}


function closePop()
{
	uexXmlHttpMgr.onData = null;
	uexWindow.evaluateScript('','0', 'closeAddCarInfoPop()');
}

function disableAddBtn()
{
	bEnableAddBtn = false;
	var uploadObj = $$('save_query');
	uploadObj.style.backgroundColor="#aaa";
}
		
function enableAddBtn()
{
	bEnableAddBtn = true;
	var uploadObj = $$('save_query');
	uploadObj.style.backgroundColor="#03c5ff";
}


var bGetCarInforDetailsToast = true;
function getCarInforDetails()
{
   uexXmlHttpMgr.onData =cbGetCarInforDetailsResponse;
   
	var userID = getUserID();
	var userName = getUserName();

	var urlCarDetails = baseUrl+"car_detail.php";
	uexXmlHttpMgr.open("34", "POST", urlCarDetails, "");
	uexXmlHttpMgr.setPostData("34", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("34","0","User_name",userName);
    uexXmlHttpMgr.setPostData("34","0","CUID",carDetailObj.UCID);
	uexXmlHttpMgr.setPostData("34","0","version",VERSION);
	if(bGetCarInforDetailsToast)
	{
		uexWindow.toast("1","5","正在获取信息","0");
	}
	
	uexXmlHttpMgr.send("34"); 
}

function cbGetCarInforDetailsResponse(opid, state, result)
{
	
	  //关闭异步请求
      uexXmlHttpMgr.close(opid);
	  // alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> result:" + result);
      if ((34==opid) && (1==state)) 
	  {             
	       var jResult = JSON.parse(result);
		   var strResult = jResult.result;
		   if(-1 != strResult.indexOf("SUCCESS00A"))
		   {
		   	    bGetCarInforDetailsToast = false;
				reLogin(getCarInforDetails);
		   }
		   else
		   {
		   		 enableAddBtn();
		  	 	uexWindow.closeToast();
				 bGetCarInforDetailsToast = true;
		   		var carDetails = JSON.parse(jResult.result);
		   		saveAndShowCarInforDetails(carDetails);
		   }
       }
	   else if((34==opid)&&(-1==state))
	   {
	   		uexWindow.closeToast();
			bGetCarInforDetailsToast = true;
		   uexWindow.alert("提示","请求失败，请检查网络等状态","确定");
	   }
}


function saveAndShowCarInforDetails(_jCardetails)
{
	carDetailObj.NickName       = _jCardetails.NickName;
	carDetailObj.Plate_Num       = _jCardetails.Plate_Num;
	chepaiObj.value = _jCardetails.Plate_Num.substring(2);
	
	if((''==_jCardetails.province_Nick) 
	|| (null==_jCardetails.province_Nick)
	|| (''==_jCardetails.province_Code)
	|| (null==_jCardetails.province_Code))
	{
		var strFrontPart=carDetailObj.Plate_Num.substring(0,2);
		carDetailObj.nick_province = strFrontPart.substring(0,1);
		carDetailObj.code_province =  strFrontPart.substring(1,2);
	}
	else
	{
		carDetailObj.nick_province        =_jCardetails.province_Nick;
		carDetailObj.code_province               =_jCardetails.province_Code;
	}
	
	provinceObj.innerText = carDetailObj.nick_province;
	cityObj.innerText = carDetailObj.code_province ;
	
	//将天安的城市代码设置为codeCity对象的属性
	cityObj.dataset.tiananCode=_jCardetails.tianan;
	carDetailObj.tianan = _jCardetails.tianan;
	carDetailObj.Vehicle_type   = _jCardetails.Vehicle_type;
	carDetailObj.Ower            = _jCardetails.Ower;
	carDetailObj.OwerID         = _jCardetails.Ower_ID;
	carDetailObj.cellphone           =_jCardetails.cellphone;	
	carDetailObj.Province         	= _jCardetails.Province;
	carDetailObj.City                 	=_jCardetails.City;
	carDetailObj.Brand              	=_jCardetails.Brand;
	carDetailObj.Model            	=_jCardetails.Model;
	carDetailObj.Model_plus      	=_jCardetails.Model_plus;
	carDetailObj.Use_character  	=_jCardetails.Use_character;
	carDetailObj.Enginer_Num    =_jCardetails.Engine_Num;
	$$("engine_no").value = carDetailObj.Enginer_Num;
	
	carDetailObj.VIN                	=_jCardetails.VIN;
	$$("class_no").value = carDetailObj.VIN;
	
	carDetailObj.Register_date    =_jCardetails.Register_date;
	carDetailObj.Insurance_END =_jCardetails.Insurance_END;
	carDetailObj.Issue_date        =_jCardetails.Issue_date;
	carDetailObj.Seats                =_jCardetails.Seats;
	carDetailObj.ownerImageID  =_jCardetails.OwerID_image;
	carDetailObj.vehicheImageID =_jCardetails.Vehiche_license_image;
	carDetailObj.self                     ="";
	carDetailObj.status                 =_jCardetails.status;
	carDetailObj.code             	  = _jCardetails.code;
	cityObj.dataset.areaCode     = _jCardetails.code;

	
	//省市提交后不允许修改
	selProObj.disabled =true;
	selCityObj.disabled =true;
}
