
function getProvinces()
{
	//注册回调函数
	disableAddBtn();
	uexXmlHttpMgr.onData = cbHandleResponse;
	
    var urlGetProvinces = baseUrl+"province.php";
	uexXmlHttpMgr.open("99", "POST", urlGetProvinces, "");
	uexXmlHttpMgr.setPostData("99","0","version",VERSION);
	uexXmlHttpMgr.send("99"); 
	uexWindow.toast(1,5,"获取省份简称",'0');
}

function cbHandleResponse(opid, state, response)
{
	uexXmlHttpMgr.close(opid);
	uexWindow.closeToast();
	if(1 == state)
	{
		switch(parseInt(opid))
		{
			case 98:
				cbHandleGetCitiesResponse(response);
				break;
			case 99:	
				cbHandleGetProvincesResponse(response);
				break;
		}
	}
	else if(-1==state)
	{
		 uexWindow.toast(0,5,"请求失败，请检查网络等状态！",3000);
	}
}

function cbHandleGetProvincesResponse(response)
{        
	 var arrProvinces = JSON.parse(response);
	addOptionsToSelectProvince(selProObj,arrProvinces);
	changeProvince();
}

function addOptionsToSelectProvince(_obj,_arrData)
{
	_obj.options.length=0;
	var iProvinceIndex = 0;
	for(var i=0; i<_arrData.length; i++)
	{
		var option = document.createElement("OPTION");
		_obj.options.add(option);
		option.innerHTML = _arrData[i];
		option.value = _arrData[i];
	}
	_obj.selectedIndex = iProvinceIndex;
    showSelectText(_obj,iProvinceIndex);
}

function addOptionsToSelectCity(_obj,_arrData)
{
	_obj.options.length=0;
	var iCityIndex = 0;
	for(var i=0; i<_arrData.length; i++)
	{
		var option = document.createElement("OPTION");
		_obj.options.add(option);
		option.innerHTML = _arrData[i].city;
		option.value = _arrData[i].city;
		option.dataset.areaCode = _arrData[i].code;
		option.dataset.tiananCode=_arrData[i].tianan;
	}
	
	_obj.selectedIndex = iCityIndex;
    showSelectText(_obj,iCityIndex);
}

function showSelectText(_obj,_index)
{
	if(null == _obj)
	{
		return ;
	}
	
	if (_obj) {
        var sp = _obj.parentNode; 
        if (sp) {
			var ch = sp.getElementsByTagName("div")[0];
            var t = _obj.options[_index].text;
            if (ch) {
                ch.innerHTML = t;
            }
			
			if('sel_city' == _obj.id)
			{
				var strTiananCode = _obj.options[_index].dataset.tiananCode;
				ch.dataset.areaCode = _obj.options[_index].dataset.areaCode;
				ch.dataset.tiananCode = strTiananCode;
			}
        }
   	 }
}

function my_selectmenu_city(id){
    var sl = document.getElementById(id);
    if (sl) {
        var sp = sl.parentNode; //<span>
        if (sp) {
			var ch = sp.getElementsByTagName("div")[0];
            var t = sl.options[sl.selectedIndex].text;
            if (ch) {
                ch.innerHTML = t;
            }
			
			if('sel_city' == id)
			{
				var strTiananCode = _obj.options[_index].dataset.tiananCode;
				ch.dataset.areaCode = _obj.options[_index].dataset.areaCode;
				ch.dataset.tiananCode = strTiananCode;
			}
        }
    }
}


 var arrCities = new Array();

function changeProvince()
{
	var strIndex = selProObj.selectedIndex;
	if(-1 == strIndex)return;
	
	 showSelectText(selProObj,strIndex);
	   //注册回调函数
	disableAddBtn();	
	uexXmlHttpMgr.onData = cbHandleResponse;
	var urlGetCities = baseUrl+"city.php";
	
	uexXmlHttpMgr.open("98", "POST", urlGetCities, "");
	uexXmlHttpMgr.setPostData("98", "0", "province", strIndex);
	uexXmlHttpMgr.setPostData("98","0","version",VERSION);
	uexXmlHttpMgr.send("98"); 
	uexWindow.toast(1,5,"获取城市代码",'0');
}


function cbHandleGetCitiesResponse(response)
{
	 enableAddBtn();
	arrCities.length = 0;
	arrCities = JSON.parse(response);		
	addOptionsToSelectCity(selCityObj,arrCities);
}

