function init()
{
	var strCarInfoDetails = localStorage.getItem("CAR_INFO_DETAILS");
	if(!isDefine(strCarInfoDetails))
	{
		return;
	}
	
	jCarDetailObj = JSON.parse(strCarInfoDetails);
	showCarInfoDetails(jCarDetailObj);
}

function showCarInfoDetails(_jCarInfoDetails)
{
	ownerObj.value = _jCarInfoDetails.Ower;
	owerIDObj.value = _jCarInfoDetails.OwerID;
	provinceObj.value = _jCarInfoDetails.Province;
	cityObj.value = _jCarInfoDetails.City;
	
	var strUsecharacter = _jCarInfoDetails.Use_character;
	if((null!=strUsecharacter)&&(''!=strUsecharacter))
	{
		setUsecharacter(strUsecharacter);
	}
	
	vinObj.value = _jCarInfoDetails.VIN;
	engineObj.value = _jCarInfoDetails.Enginer_Num;
	regDateObj.value= _jCarInfoDetails.Register_date;
	fazhengDateObj.value = _jCarInfoDetails.Issue_date ;
	brandTypeObj.value = _jCarInfoDetails.Model;
	seatsObj.value = _jCarInfoDetails.Seats;
}

function setUsecharacter(_useCharacter)
{
	var selUseCharacterObj =  $$('id_sel_usecharacter');
	for(var i=0; i<selUseCharacterObj.length; i++)
	{
		if(selUseCharacterObj.options[i].text ==_useCharacter )
		{
			selUseCharacterObj.selectedIndex = i;
			useCharacterObj.innerText = _useCharacter;
			return;
		}
	}
}



function isExistEmpertyInfor()
{
	var strOwnerName = ownerObj.value;
	if(false == isDefine(strOwnerName))
	{
		uexWindow.toast(0,5,"车主姓名不能为空",2000);
		return false;
	}
	else
	{
	    jCarDetailObj.Ower = strOwnerName;
	}
	
	var strOwnerID = owerIDObj.value;
	if(false == isDefine(strOwnerID))
	{
		uexWindow.toast(0,5,"身份证号或组织结构代码不能为空",2000);
		return false;
	}
	else
	{
	    jCarDetailObj.OwerID = strOwnerID;
	}
 
    var strProvince = provinceObj.value;
	if(false == isDefine(strProvince))
	{
		uexWindow.toast(0,5,"投保省份不能为空！",2000);
		return false;
	}
	else
	{
		if(!isChinese(strProvince))
		{
			uexWindow.toast("0","5","投保省份存在非中文字符",2000);
			return false;
		}
		jCarDetailObj.Province = strProvince;
	}

	var strCity = cityObj.value;
	if(false == isDefine(strCity))
	{
		uexWindow.toast(0,5,"投保城市不能为空！",2000);
		return false;
	}
	else
	{
		if(!isChinese(strCity))
		{
			uexWindow.toast("0","5","投保城市存在非中文字符",2000);
			return false;
		}
		jCarDetailObj.City =strCity;
	}
	
	var strUserCharacter = useCharacterObj.innerText;
	if(false == isDefine(strUserCharacter))
	{
		return false;
	}
	else
	{
		jCarDetailObj.Use_character = strUserCharacter;
	}
	
		
	var strVIN = vinObj.value;
	if(false == isDefine(strVIN))
	{
		uexWindow.toast(0,5,"车辆识别代号不能为空",2000);
		return false;
	}
	else
	{
		strVIN = strVIN.toLocaleUpperCase();
		jCarDetailObj.VIN = strVIN;
	}
	
	var strEngine = engineObj.value;
	if(false == isDefine(strEngine))
	{
		uexWindow.toast(0,5,"发动机号不能为空",2000);
		return false;
	}
	else
	{
		strEngine = strEngine.toLocaleUpperCase();
		jCarDetailObj.Enginer_Num = strEngine;
	}
	
	if((null==regDateObj.value) || (''==regDateObj.value)||("0000-00-00"==regDateObj.value))
	{
		uexWindow.toast(0,5,"注册登记日期不能为空或填写错误",2000);
		return false;
	}
	else
	{
		jCarDetailObj.Register_date = regDateObj.value;
	}
	
	if((null==fazhengDateObj.value) || (''==fazhengDateObj.value)||("0000-00-00"==fazhengDateObj.value))
	{
		uexWindow.toast(0,5,"发证日期不能为空或填写错误",2000);
		return false;
	}
	else
	{
		jCarDetailObj.Issue_date = fazhengDateObj.value;
	}
	
	var strBrandType= brandTypeObj.value;
	if(false == isDefine(strBrandType))
	{
		uexWindow.toast(0,5,"品牌型号不能为空",2000);
		return false;
	}
	else
	{
		jCarDetailObj.Model = strBrandType;
	}

	var strSeatNum = seatsObj.value;
	if(false == isDefine(strSeatNum))
	{
		uexWindow.toast(0,5,"核定载客数不能为空",2000);
		return false;
	}
	else
	{
		if(!isPositiveInteger(strSeatNum))
		{
			uexWindow.toast(0,5,"核定载客数填写有误！",2000);
			return false ;
		}
		
		jCarDetailObj.Seats =strSeatNum;
	}
	
	return true;
}



function cbSaveCarInfoFailed(_isSaveDataError)
{
	 if(_isSaveDataError)
	 {
		uexWindow.toast(0,5,"保存失败，请仔细检查数据信息！",2500);
	 }
}

function cbSaveCarInfoSuccess(_jResponse)
{
	uexWindow.toast(0,5,"保存成功！",2000);
	getProvinces(cbGetProvince);
}

function checkCarDetailsBeforSave()
{
	if(false == isExistEmpertyInfor())
	{
		return;
	}
	
	jCarDetailObj.self="2";
	prepareToSubmitCarInfo(cbSaveCarInfoSuccess,cbSaveCarInfoFailed,jCarDetailObj);
}


function cbGetProvince(_arrProvinces)
{
	for(var i=0; i<_arrProvinces.length; i++)
	{
		if(_arrProvinces[i] == jCarDetailObj.nick_province)
		{
			 getCitiesByPrivinceIndex(cbGetCitiesByProvinceIndex,i);
			return;
		}
	}
}


function cbGetCitiesByProvinceIndex(_arrCities)
{
	for(var i=0; i<_arrCities.length; i++)
	{
		if(_arrCities[i].city == jCarDetailObj.code_province)
		{
			if('0' == _arrCities[i].status)
			{
				uexWindow.alert("提示","非常抱歉，您所投保的城市暂不支持！","确定");
				return;
			}
		}
	}
   
  promptKindlyReminder();
}


function  promptKindlyReminder()
{
	uexWindow.cbConfirm=function(opId,dataType,data){
            if(1==data)
			{
				var strCarDetails = JSON.stringify(jCarDetailObj);
				localStorage.setItem("CAR_INFO_DETAILS",strCarDetails);
				uexWindow.open("insurance_company_select",'0',"../insurance_company_select/insurance_company_select.html",2,'','',4,'');
			}
         }
		uexWindow.confirm("信息确认提示",'1：请仔细核对以上所有信息，如信息有误，可能会导致保费价格严重偏差以及年检无法通过!\r\n2：由于保险公司政策，只能提供保单到期前60天之内的报价！',["取消","确定"]);
}

