function callRescueHotline(_telNum)
{
	uexCall.dial(_telNum);
}

function cbOpenLocation(opId, dataType, data)
{
	if(1 == data)
	{
		uexWindow.closeToast();
		uexLocation.closeLocation();
		uexWindow.toast(0,5,"定位功能未打开！",2000);
	}
}

//启动定位功能，返回的通知函数 的回调函数
function locationCallback(lat, log)
{
	longitude = log;
	latitude = lat;
	uexLocation.getAddress(lat,log);
}


 //根据经纬度获取具体地址
function LocationSuccess(opCode, dataType, data)
{
   uexLocation.closeLocation();
   uexWindow.closeToast();
    //document.getElementById('id_address').innerText = data;
	showAddressDetail(longitude,latitude,data);

}

//获取当前经纬度
function getCurLocation()
{
	uexLocation.closeLocation();
	uexWindow.toast("1","5","正在定位中...",0);
    uexLocation.openLocation();
}

function showAddressDetail(_log,_lat,_address)
{
	var point = new BMap.Point(_log, _lat);    // 创建点坐标
	map.centerAndZoom(point,25); 
	map.removeOverlay(marker);
	marker = new BMap.Marker(point);  // 创建标注
	map.addOverlay(marker);              // 将标注添加到地图中
	//创建信息窗口
    var infoWindow = new BMap.InfoWindow("经度："+_log+"<br/>纬度："+_lat+"<br/>详细地址："+_address);
    marker.openInfoWindow(infoWindow);
	marker.addEventListener("click", function(){this.openInfoWindow(infoWindow);});
}
