function showConsultantInfo()
{
	var strConsultantProfile = getConsultantInfo();
	if(!isDefine(strConsultantProfile))
	{
		uexWindow.toast(0,5,'车务管家信息获取失败！',2500);
		return;
	}
	
	var jsonConsultantProfile = JSON.parse(strConsultantProfile);
	
	$$("real_name").innerText  =jsonConsultantProfile.name;
	$$('id_cellphone').innerText = jsonConsultantProfile.cellphone;
	$$("area").innerText  =jsonConsultantProfile.area;
	
	if(isDefine(jsonConsultantProfile.code))
	{
		$$('barcode_part').className="ub ub-f1 my-mar";
		showBarCodeImg(jsonConsultantProfile.code);
	 }
	 else
	 {
	 	$$('barcode_part').className="uhide";
	 }
}

function showBarCodeImg(_code)
{
		var barCodeUrl = baseUrl+"bd/html/image.php?filetype=PNG&dpi=73&scale=3&rotation=00&font_family=Arial.ttf&font_size=13&text="+_code+"&thickness=60&checksum=&code=BCGcode39";
	
	$$("img_barcode").src=	barCodeUrl;
}

function promptToUnbindConsultant()
{
	 	   	uexWindow.cbConfirm=function(opId,dataType,data){
			switch(parseInt(data))
			{
				case 0:
					unbindConsultant();
					break;
			}
         }
		 
	uexWindow.confirm("温馨提示",'是否解除车务管家的绑定？',["确定","取消"]);
}

function unbindConsultant()
{
	var userID = getUserID();
	var userName = getUserName();
	var params =[{"key":"User_ID","value":userID, "type": "0"}, 
              			  {"key": "User_name", "value": userName, "type": "0"}];
						  
	uexWindow.toast(1,5,"正在解除绑定",'');					  
	$.getJSON(baseUrl+"scan_unbind.php", bindResponse, "text", getJSONError, 'POST', params, null);
}

function bindResponse(data)
{
	var jsonData = JSON.parse(data);
	var resultCode  = jsonData.message;
	switch(resultCode)	
	{
		case "SUCCESS00A":
			reLogin(unbindConsultant);
			break;
		case 	"success001":
		    uexWindow.closeToast();
		    uexWindow.toast(0,5,"解除绑定成功!",2500);
			removeConsultantInfo();
			uexWindow.open("settings",'0',"../settings/settings.html",1,'','',4,'');
			break;
		case 	"failed004":
		    uexWindow.closeToast();
		    uexWindow.toast(0,5,"解除绑定失败，请重试!",2500);
			break;	
	}
}

function callConsultant(_e)
{
	stopPP(_e);
	var strCellphone = $$("id_cellphone").innerText;
	if(isDefine(strCellphone) && isPhone(strCellphone))
	{
		uexCall.dial(strCellphone);
	}
}
