var isPullUp = false;
var isPullDown = false;

var offset = 0;
var iStep = 8;	

var bLoadingToast = true;

var isClearList = true;
var bShowNoResult = true;
var arrCoupons = null;

var strInsuranceID = null;
var strCompanyID = null;
var arrSelectedCoupons = null;

function initCouponsList()
{
	arrCoupons = new Array();
	setPageBounce(2,pullDownToRefresh,pullUpToLoadMore);
	var strParams = localStorage.getItem("TO_GET_AVALIABLE_COUPONS");
	if(isDefine(strParams))
	{
		var jParams = JSON.parse(strParams);
		strInsuranceID = jParams.insurance_id;
		strCompanyID = jParams.company_id;
		arrSelectedCoupons = jParams.selectedCoupons;
		httpGetCoupons();
	}
	else
	{
		uexWindow.toast(0,5,"数据异常！",2000);
	}
}

function httpGetCoupons()
{
	 uexXmlHttpMgr.onData =cbHttpGetCoupons;
	
	var userID = getUserID();
	var userName = getUserName();
	
	var urlGetCoupons= baseUrl+"coupon/front/selectCoupon.php";
	uexXmlHttpMgr.open("14", "POST", urlGetCoupons, 20000);
	uexXmlHttpMgr.setPostData("14", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("14","0","User_name",userName);
	uexXmlHttpMgr.setPostData("14","0","version",VERSION);
	uexXmlHttpMgr.setPostData("14","0","insurance_id",strInsuranceID);
	uexXmlHttpMgr.setPostData("14","0","company_id",strCompanyID);
	uexXmlHttpMgr.setPostData("14","0","currentPage",offset);
	uexXmlHttpMgr.setPostData("14","0","pageNum",iStep);
	uexXmlHttpMgr.send("14"); 
	
	if(bLoadingToast)
	{
		uexWindow.toast(1,5,"正在努力加载中...",0);
	}
}


function cbHttpGetCoupons(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
      if ((14==opid) && (1==state)) 
	  {   
	    var jResponse = JSON.parse(response);
	    var strHttpResult = jResponse.result;
		if ("SUCCESS00A" == strHttpResult) 
		{
			bLoadingToast = false;
			reLogin(httpGetCoupons);
		}
		else if("success" == strHttpResult)
        {
			resetTosatAndBV();
			addCouponsToList(jResponse.data);
		}
		else
		{
			resetTosatAndBV();
			uexWindow.toast('0',"5","获取优惠券列表失败！",2000);
		}
		
       }
	   else if((14==opid)&&(-1==state))
	   {
	   		resetTosatAndBV();
		   uexWindow.alert("提示","加载失败，请检查网络状态!","确定");
	   }
}


function resetTosatAndBV()
{
	bLoadingToast = true;
	uexWindow.closeToast();
	
	if(isPullDown)
	{
		isPullDown = false;
		resetBV("0");
	}
	
	if(isPullUp)
	{
		isPullUp = false;
		resetBV("1");
	}
}


function pullDownToRefresh()
{
   isPullDown = true;
   //因为加载的时候有加载提示，所以无需再另行提示；
   bLoadingToast = false;
   offset = 0;
   bShowNoResult =true;
   clear();
   httpGetCoupons();
}

function pullUpToLoadMore()
{ 
	isPullUp = true;
	bLoadingToast = false;
	httpGetCoupons();
}


function clear()
{
	arrCoupons.length =0;
	document.getElementById("id_coupons").innerHTML = "";
}


function addCouponsToList(_arrCoupons)
{
	var iCurCouponsNum = _arrCoupons.length;
	if(0 == iCurCouponsNum)
	{
		if(bShowNoResult)
		{
			showNoOrderInfor();
		}
		else
		{
			uexWindow.toast('0',"5","已加载所有优惠券！",2000);
			return;
		}
	}
	else
	{
		offset += iStep;
		bShowNoResult = false;
		hideNoOrderInfor();
		for(var i=0; i<iCurCouponsNum; i++)
		{
			var orderItem =  _arrCoupons[i];
			arrCoupons.push(orderItem);
		}
			
		setAvaliableCouponsToList(_arrCoupons);
	}
}

function setAvaliableCouponsToList(_arrCoupons)
{
	var tmpl ='${cb:input}'
			+		'<div class="coupon" onmousedown="zy_touch(\'\',zy_for)" ontouchstart="zy_touch(\'\',zy_for)" >'
			+			'<div class="newstianjia select ub-img"></div>'
			+			'<div class="coupon-detail">'
			+				'<div class="coupon-money"><div class="coupon-lable ub-img"></div><span class="ulev-1">￥</span><span class="ulev1">${Value}</span></div>'
			+				'<div class="coupon-condition yt">'
			+					'<span class="umar-r">用&nbsp;&nbsp;&nbsp;&nbsp;途:</span><span >${cb:use_range}</span>'
			+				'</div>'
			+				'<div class="coupon-condition"><span class="umar-r">使用限制:</span><span>${cb:use_condition}</span></div>'
			+				'<div class="coupon-condition"><span class="umar-r">截止日期:</span><span>${EndTime}</span></div>'
			+			'</div>'
			+		'</div>';
	var strHtml = zy_tmpl(tmpl, _arrCoupons, zy_tmpl_count(_arrCoupons),tmpleCb);
	var d = document.createElement('DIV');
  	d.innerHTML=strHtml;
	$$("id_coupons").appendChild(d);
}

function tmpleCb(a, b){
    switch (b[1]) {
		case "input":
		     if(isInSelectedCouponsArr(a.CouponNum))
			 {
			 	return '<input class="uhide" type="checkbox"  checked="checked" name="'+a.CouponNum+'" >';
			 }
			 else
			 {
			 	return '<input class="uhide" type="checkbox"   name="'+a.CouponNum+'" >';
			 }
	    case 'use_range':
			 if(!isDefine(a.TypeRange))
			 {
			 	return "全类别可用";
			 }
			 else
			 {
			 	return a.TypeRange;
			 }
		case "use_condition":
			if('0' == a.LimitUseValue)	 
			{
				return "无抵扣限制"
			}
			else
			{
				return "订单满"+a.LimitUseValue+"元可用";
			}
	}
}


function isInSelectedCouponsArr(_couponID)
{
	for(var i=0; i<arrSelectedCoupons.length;i++)
	{
		if(_couponID == arrSelectedCoupons[i])
		{
			return true;
		} 
	}
	
	return false;
}


function getCouponByID(_couponID)
{
	for(var i=0; i<arrCoupons.length; i++)
	{
		if(_couponID==arrCoupons[i].CouponNum)
		{
			return arrCoupons[i];
		}
	}
	
	return null;
}


function showNoOrderInfor()
{
		var noCouponsDiv = document.getElementById("id_show_no_coupons");
		noCouponsDiv.className="ub-fv ub ub-ac ub-pc  t-gra  ub-ver";
}
function hideNoOrderInfor()
{
		var noCouponsDiv = document.getElementById("id_show_no_coupons");
		noCouponsDiv.className="uhide";
}

function useSelectedCoupons()
{
	var jSelectedData = {"totalMoney":"","couponIDs":""};
	if(0 != arrCoupons.length)
	{
		var arrInputs = document.getElementsByTagName("input");
		var iLength = arrInputs.length;
		var iTotalMoney = 0;
		var arrSelectedCouponIDs = new Array();
		for(var i=0; i<iLength;i++)
		{
			if(arrInputs[i] && (arrInputs[i].checked))
			{
				var strCouponID = arrInputs[i].name;
				var coupon = getCouponByID(strCouponID);
				iTotalMoney += parseFloat(coupon.Value);
				arrSelectedCouponIDs.push(strCouponID);
			}
		}
		
		if(0 != arrSelectedCouponIDs.length)
		{
			jSelectedData.totalMoney = iTotalMoney;
			jSelectedData.couponIDs = arrSelectedCouponIDs;
		}
	}
	
	localStorage.setItem("UPDATE_TOTAL_TO_PAY",JSON.stringify(jSelectedData));
	uexWindow.evaluatePopoverScript('daigoumai_detail','content','updateTotalToPay()');
	uexWindow.evaluateScript('','0','winClose()');
}
