//记录所有选择的险种
var arrTypes = new Array();
var strInsuranceID = null;
var strCompanyId = null;
var strCompanyLogo = null;
var strCompanyName=null;
var strStatusCode = null;
var strPlateNum = null;
var strCarID = null;
var isNeedAddOrEditInfo = false;
function initOrderDetail()
{
	var strExtraData = localStorage.getItem("ORDER_DETAIL");
	if(!isDefine(strExtraData))
	{
		uexWindow.alert("提示","数据异常","确定");
		return;
	}

	var jExtraData = JSON.parse(strExtraData);
	strInsuranceID = jExtraData.insurance_id;
	strCompanyId = jExtraData.company_id;
	strCompanyLogo = jExtraData.company_logo;
	strCompanyName = jExtraData.company_name;
	strStatusCode = jExtraData.status;
	strPlateNum = jExtraData.plate_num;
	strCarID = jExtraData.car_id;
	
	getDaibaojiaOrderDetail();
}

var bToast = true;
function getDaibaojiaOrderDetail()
{
	//注册回调函数
   uexXmlHttpMgr.onData =cbOrderDetailsResponse;
	
   var userID = getUserID();
   var userName = getUserName();
	
	var urlGetInsuranceContent = baseUrl+"get_insurance_content.php";
	uexXmlHttpMgr.open("15", "POST", urlGetInsuranceContent, "");
	uexXmlHttpMgr.setPostData("15", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("15","0","User_name",userName);
	uexXmlHttpMgr.setPostData("15","0","insurance_id",strInsuranceID);
	uexXmlHttpMgr.setPostData("15","0","company_id",strCompanyId);
	uexXmlHttpMgr.setPostData("15","0","version",VERSION);
	
	if(bToast)
	{
		uexWindow.toast("1","5","正在加载中...","0");
	}
	
	uexXmlHttpMgr.send("15"); 
}


function cbOrderDetailsResponse(opid, state, response)
{
	  //关闭异步请求
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response);
      if ((15==opid) && (1==state)) 
	  {             
	        var jResponse = JSON.parse(response);
			var strResultCode = jResponse.result;
			switch(strResultCode)
			{
				case "GET_INSURANCE_SUCCESS_002":
					resetToast();
					setDaibaojiaOrderDetails(jResponse.data);
					break;
				case 	"SUCCESS00A":
					bToast = false;
					reLogin(getDaibaojiaOrderDetail);
					break;
			}
       }
	   else if((15==opid)&&(-1==state))
	   {
	   	  	resetToast();
		   uexWindow.alert("提示","请求失败，请检查网络状态","确定");
	   }
}

function resetToast()
{
	bToast = true;
	uexWindow.closeToast();
}

function setDaibaojiaOrderDetails(_strData)
{
	var jOrderDetail = null;
	try {
		jOrderDetail = JSON.parse(_strData);
	} catch (e) {
		return;
	}

    var iStatusCode = parseInt(strStatusCode);
	var strTitle =Translator.getStatusStrByOrderStatusCode(parseInt(strStatusCode));
	localStorage.setItem("TITLE",strTitle);
	uexWindow.evaluateScript('','0','setTitle()');
	
	if(1 == iStatusCode)
	{
		isNeedAddOrEditInfo = true;
		$$("extra-pics").innerText = "请根据提示补充或编辑资料";
	}

	if(isDefine(jOrderDetail.comments))
	{
		$$("comment-content").innerHTML = jOrderDetail.comments;
		$$("comment").className="style-notice-board";
	}

	$$("plate_num").innerText = strPlateNum;
	$$("plate_num").dataset.carId=strCarID;

	$$("order_id").innerText=strInsuranceID;
	$$("created_time").innerText =jOrderDetail.created_time ;
	$$("company_logo").style.backgroundImage = "url("+strCompanyLogo+")";
	$$("company_name").innerText=strCompanyName;
	
	setInsuranceTypeDetail(jOrderDetail);
}

function ContentValue(_name,_value)
{
	this.name = _name;
	this.value  = _value;
}


function setInsuranceTypeDetail(_insuranceType){
	//险种类型获取
	arrTypes.length = 0;
	
	if ('1' == _insuranceType.jiaoqiang) {
		arrTypes.push(new ContentValue(T0c, ""));
	}
	
	if ('1' == _insuranceType.tax) {
		arrTypes.push(new ContentValue(T0d, ""));
	}
	
	if ('1' == _insuranceType.chesun) {
		arrTypes.push(new ContentValue(T01, ""));
	}
	
	if ('1' == _insuranceType.daoqiang) {
		arrTypes.push(new ContentValue(T02, ""));
	}

	if ('0' != _insuranceType.disanzeren) {
		arrTypes.push(new ContentValue(T03, _insuranceType.disanzeren + "万"));
	}

	if (('0' != _insuranceType.siji) || ('0' != _insuranceType.chengke)) {
		if (('0' != _insuranceType.siji) && ('0' != _insuranceType.chengke)) {
			arrTypes.push(new ContentValue(T04, "司机(" + _insuranceType.siji + "万/座)<br/>乘客(" + _insuranceType.chengke + "万/座)"));
		}
		
		if (('0' != _insuranceType.siji) && ('0' == _insuranceType.chengke)) {
			arrTypes.push(new ContentValue(T04, "司机(" + _insuranceType.siji + "万/座)<br/>乘客不投保"));
		}
		
		if (('0' == _insuranceType.siji) && ('0' != _insuranceType.chengke)) {
			arrTypes.push(new ContentValue(T04, "司机不投保<br/>乘客(" + _insuranceType.chengke + "万/座)"));
		}
		
	}

	if ('1' == _insuranceType.ziran) {
		arrTypes.push(new ContentValue(T06, ''));
	}
	
	if ('0' != _insuranceType.bolijin) {
		if ('1' == _insuranceType.bolijin) {
			arrTypes.push(new ContentValue(T09, "国产玻璃"));
		}
		else {
			arrTypes.push(new ContentValue(T09, "进口玻璃"));
		}
	}
	
	if ('1' == _insuranceType.sheshui) {
		arrTypes.push(new ContentValue(T08, ""));
	}
	
	if ('1' == _insuranceType.bujinianpei) {
		arrTypes.push(new ContentValue(T05, ""));
	}
	
	if ('1' == _insuranceType.cheshenhuahen) {
		arrTypes.push(new ContentValue(T07, ""));
	}
	
	if ('1' == _insuranceType.zhiding) {
		arrTypes.push(new ContentValue(T0e, ""));
	}

	setInsuranceTypesLayout(arrTypes);
}

function setInsuranceTypesLayout(_types)
{
	var tmpl=	'<div class="insurance_type_item">'
			+			'<div class=" lis-icon ub-img xuanzeIcon xuanze-hw"></div>'
			+			'<div class="ub-f1 ulev-app2 t-gra">${name}</div>'
			+			'<div class="orange-color ulev-app2 ufm1">${value}</div>'
			+		'</div>'

	var strHtml = zy_tmpl(tmpl, _types, zy_tmpl_count(_types));
	var divContainer = document.getElementById("insurance_type");
	divContainer.innerHTML=strHtml;
	
	document.getElementById("insurance_content").className="ub ub-f1 ub-ver part-umar-t  c-wh uinn-a my-ulev-1";
}


function openCarDetail()
{
	localStorage.setItem("ORDER_INSURANCE_ID",strInsuranceID);
	uexWindow.open("car_infor_detail", '0', "../car_infor_detail/car_infor_detail.html", '2', '', '', '4', '');
}

function toAdditionalInfo()
{
	var strCarID = $$("plate_num").dataset.carId;
	var jIntentData = {"insurance_id":strInsuranceID,"company_id":strCompanyId,"car_id":strCarID,"order_status":strStatusCode};

	var strComentContent = $$("comment").innerText;
	if(isDefine(strComentContent))
	{	
		jIntentData.comment = strComentContent;
	}
	else
	{	
		jIntentData.comment = "";
	}
	
	if(isNeedAddOrEditInfo)
	{
		localStorage.setItem("IS_ADD_OR_EDIT_INFO","true");
	}
	else
	{
		localStorage.setItem("IS_ADD_OR_EDIT_INFO","false");
	}

	localStorage.setItem("ORDER_SHOW_MORE_EXTRA_PICS",JSON.stringify(jIntentData));
	uexWindow.open("additional_info",0,"../additional_info/additional_info.html",2,0,0,4,260);
}

