var AlipayTool=function(){
	this.partner = null;			//合作者身份IDs
	this.seller = null;				//卖家支付宝账号或对应的支付宝唯一用户号
	this.rsaPrivate =null;			//合作者私钥
	this.rsaPublic = null; 		//支付宝公钥
	this.AlnotifyUrl=null;
	this.alipaySubject = null;
	this.alipayBody = null;
	this.alipayFee = null;
	this.alipayNum = null;
	
	this.cbPayResult = null;
	
	this.initPay();
}

AlipayTool.prototype = {
	
	initPay: function(){
		
		var that = this;
		//注册支付宝支付回调
		uexAliPay.onStatus = function(status, des){
				if (that.cbPayResult) 
				{
					that.cbPayResult(status, des);
				}
		}
	},
	
	setAlipayCallback : function(_cbPayResult){
		this.cbPayResult = _cbPayResult;
	},
	
	startAlipay : function(_jAliPayParams, _cbPayResult){
		//设置支付信息
		uexWindow.toast(1, 5, "设置支付信息", 0);
		
		this.cbPayResult  = _cbPayResult
		this.setAlipayInfo(_jAliPayParams);
		this.toAlipay();
	},

	setAlipayInfo : function(_jAliPayParams){
		
		this.partner				=	_jAliPayParams.partner;
	    this.seller					=	_jAliPayParams.seller;
	    this.rsaPrivate			=	_jAliPayParams.rsaPrivate;
	    this.rsaPublic			=	_jAliPayParams.rsaPublic;
	    this.AlnotifyUrl	    	=	_jAliPayParams.notifyUrl;
	   
	    this.alipaySubject 		=	_jAliPayParams.subject;
	    this.alipayBody 		= _jAliPayParams.body;
	    this.alipayFee			= _jAliPayParams.fee;
	   	this.alipayNum 		= _jAliPayParams.num;
	},
	
	toAlipay : function(){
		uexWindow.closeToast();
		uexWindow.toast(1, 5, "发起支付", 0);
		setTimeout("uexWindow.closeToast()",3500);
		
		uexAliPay.setPayInfo(this.partner, this.seller, this.rsaPrivate, this.rsaPublic, this.AlnotifyUrl);
		uexAliPay.pay(this.alipayNum, this.alipaySubject, this.alipayBody, this.alipayFee);
	}
}

