function recordLoginInfor(_userName,_userPwd)
{

	localStorage.setItem("userName",_userName);
	localStorage.setItem("userPwd",_userPwd);
}

function setUserPwd(_pwd)
{
	localStorage.setItem("userPwd",_pwd);
}

function cleanUserPwd()
{
	localStorage.removeItem("userPwd");
}

function recordUserName(_userName)
{
	localStorage.setItem("userName",_userName);
}

function getUserName()
{
	return localStorage.getItem("userName");
}

function getUserPwd()
{
	return localStorage.getItem("userPwd");
}

function getUserID()
{
	return localStorage.getItem("userID");
}

function recordUserID(_userID)
{
	localStorage.setItem("userID",_userID);
}

function setLoginFlag(_flag)
{
	localStorage.setItem("loginStatus",_flag);
}

function setAutoLoginForUser(_userName,_flag)
{
	var autoLoginKey = _userName+"_autoLogin";
	localStorage.setItem(autoLoginKey,_flag);
}

function getAutoLoginFlag()
{
	var _userName = localStorage.getItem("userName");
	var autoLoginKey = _userName+"_autoLogin";
	return localStorage.getItem(autoLoginKey);
}

function setRememberFlag(_userName,_flag)
{
	var rememberFlagKey = _userName+"_remember_flag";
	 localStorage.setItem(rememberFlagKey,_flag);
}

function isRememberPwd()
{
	var _userName = localStorage.getItem("userName");
	var rememberFlagKey = _userName+"_remember_flag";
	var  status = localStorage.getItem(rememberFlagKey);
	if('true' ==status)
	{
		return true;
	}
	else 
	{
		return false;
	}
}

function isLogin()
{
	var isLogin = localStorage.getItem("loginStatus");
	if(isLogin == "true")
	{
		return true;
	}
	else
	{
		return false;
	}
}

function autoLogin()
{
	var userName = localStorage.getItem("userName");
	var userPwd = localStorage.getItem("userPwd");

	if((userName!=null)&&(userPwd!=null))
	{
		logintest(userName,userPwd,'');
	}
}

var cbFunc = null;
function reLogin(_func)
{
	cbFunc = _func;
    var userName = localStorage.getItem("userName");
	var userPwd = localStorage.getItem("userPwd");
	logintest(userName,userPwd,_func)
}

function logintest(_userName,_userPwd,_func)
{
	recordLoginInfor(_userName,_userPwd);
	//回调函数
   uexXmlHttpMgr.onData =cbReLoginResponse;
  
	var urlLogin = baseUrl+"login.php";

	uexXmlHttpMgr.open("100", "POST", urlLogin, "");
	if(isCellphone(_userName))
	{
		uexXmlHttpMgr.setPostData("100", "0", "username", '');
		uexXmlHttpMgr.setPostData("100","0","cellphone",_userName);
	}
	else
	{
		uexXmlHttpMgr.setPostData("100", "0", "username", _userName);
		uexXmlHttpMgr.setPostData("100","0","cellphone",'');
	}

	uexXmlHttpMgr.setPostData("100","0","password",_userPwd);
	uexXmlHttpMgr.setPostData("100","0","version",VERSION);
	uexXmlHttpMgr.send("100"); 
}

function cbReLoginResponse(opid, state, result)
{
	  uexWindow.closeToast();
      uexXmlHttpMgr.close(opid);
      if ((100==opid) && (1==state)) 
	  {       
			var responseResult = JSON.parse(result);
	        var strResult=responseResult.result;
		    if(-1!=strResult.indexOf("SUCCESS"))
			 {
			 	var userId = responseResult.User_ID;
				if(1 == parseInt(responseResult.info.bind_status))
				{
					saveConsultantInfo(responseResult.info.data);
				}
				
				var strPhone = responseResult.cellphone;
				if((null!=strPhone) && (''!=strPhone) && ('und'!=strPhone))
				{  
					localStorage.setItem(responseResult.User_name,strPhone);
				}
				
				recordUserID(userId);
			 	cbFunc();
			 }
			 else
			 {
			 	localStorage.setItem("closeLogWin","yes");
			 	openNewWin('user_login','../user_login/user_login.html',12,4);
			 }
       }
}


  function clean()
  {
  	  var userID = getUserID();
   	  var userName = getUserName();	
	  var key = userID+"_"+userName;
	  localStorage.removeItem(key);
	  localStorage.removeItem("car_list_selected_ucid");
	  localStorage.removeItem("car");
	  localStorage.removeItem("insurance_types");
	  localStorage.removeItem("order_id");
	  localStorage.removeItem("create_time");
	  localStorage.removeItem("price_details");
	  localStorage.removeItem("index");
	  localStorage.removeItem("payed_status");
	  localStorage.removeItem("address_detail");
	  localStorage.removeItem("company_to_buy");
	  localStorage.removeItem("address_id");
	  localStorage.removeItem("p_months");
	  localStorage.removeItem("p_start_date");
	  localStorage.removeItem("monthly_parking_id");
	  localStorage.removeItem("CONSULTANT_INFO");
  }
  
 function Consultant(_name,_cellphone,_area,_code)
{
	this.name = _name;
	this.cellphone = _cellphone;
	this.area  = _area;
	this.code = _code;
}


function getConsultantInfo()
{
	return localStorage.getItem("CONSULTANT_INFO");
}

function setConsultantInfo(_strConsultantInfo)
{
	localStorage.setItem("CONSULTANT_INFO",_strConsultantInfo);
}

function removeConsultantInfo()
{
	 localStorage.removeItem("CONSULTANT_INFO");
}

function saveConsultantInfo(_data)
{
	var consultant = new Consultant(_data.realname,_data.cellphone,_data.area,_data.GYS_id);
	setConsultantInfo(JSON.stringify(consultant));
}

  