 function getDate(_id)
 {
 	var year = '';
	var month='';
	var days=';'
 	var objDate = document.getElementById(_id);
     uexControl.cbOpenDatePicker = function(opId, dataType, data){
     		if (dataType == 1)
			{
				
           		var obj = JSON.parse(data);
				 month = parseInt(obj.month)< 10 ? ("0" + ( obj.month)) : ( obj.month);
				days = parseInt(obj.day)< 10 ? ("0" + ( obj.day)) : ( obj.day);
           		objDate.value = obj.year + '-' +  month + '-' + days;
       		}
      }
	  
	  if((null==objDate.value)||(''==objDate.value)||('0000-00-00'==objDate.value))
	  {
	  		var currentDate = new Date();
	 		 year = currentDate.getFullYear();
     		 month = currentDate.getMonth() + 1 < 10 ? ("0" + (currentDate.getMonth() + 1)) : (currentDate.getMonth() + 1);
     		 days = currentDate.getDate();
	  }
	  else
	  {
	  	 var strDate = objDate.value;
		 var arrDate = strDate.split('-');
		  year = arrDate[0];
		 month = arrDate[1];
		  days = arrDate[2];
	  }  

      uexControl.openDatePicker(year,month,days);
}


function getCurMonthFirstDay()
{
	  var currentDate = new Date();
	  var year = currentDate.getFullYear();
	  var month = currentDate.getMonth()+1;
      var month = month<10 ? ("0" + (month)) : (month);
	  
	  return year+"-"+month+"-01";
}

/**
*计算2个日期相差多少天
*@param String strDateStart和strDateEnd 日期，格式为2014-04-04
*/
function getIntervalBetween2Days(strDateStart,strDateEnd){
   var strSeparator = "-"; //日期分隔符
   var oDate1;
   var oDate2;
   oDate1= strDateStart.split(strSeparator);
   oDate2= strDateEnd.split(strSeparator);
   var strDateS = new Date(oDate1[0] + "-" + oDate1[1] + "-" + oDate1[2]);
   var strDateE = new Date(oDate2[0] + "-" + oDate2[1] + "-" + oDate2[2]);
   var iDays = parseInt((strDateE - strDateS ) / 1000 / 60 / 60 /24)//把相差的毫秒数转换为天数 
   return iDays;
}


    /**
     * 对Date的扩展，将 Date 转化为指定格式的String
     * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q) 可以用 1-2 个占位符
     * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
     * java风格
     * eg:
     * (new Date()).pattern("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
     * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04
     * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04
     * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04
     * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18
     */
    Date.prototype.pattern = function (fmt) {
    var o = {
        "M+" : this.getMonth() + 1, //月份
        "d+" : this.getDate(), //日
        "h+" : this.getHours() % 24 == 0 ? 00 : this.getHours() % 24, //小时
        "H+" : this.getHours(), //小时
        "m+" : this.getMinutes(), //分
        "s+" : this.getSeconds(), //秒
        "q+" : Math.floor((this.getMonth() + 3) / 3), //季度
        "S" : this.getMilliseconds() //毫秒
    };
    var week = {
        "0" : "/u65e5",
        "1" : "/u4e00",
        "2" : "/u4e8c",
        "3" : "/u4e09",
        "4" : "/u56db",
        "5" : "/u4e94",
        "6" : "/u516d"
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    if (/(E+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") + week[this.getDay() + ""]);
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }
    return fmt;
}


function diffTime(startDate,endDate)
 {
 	var diff=endDate.getTime() - startDate.getTime();
	//时间差的毫秒数
	//计算出相差天数
	var days=Math.floor(diff/(24*3600*1000));
	//计算出小时数
	var leave1=diff%(24*3600*1000); 
	//计算天数后剩余的毫秒数
	var hours=Math.floor(leave1/(3600*1000));
	//计算相差分钟数
	var leave2=leave1%(3600*1000); 
	//计算小时数后剩余的毫秒数
	var minutes=Math.floor(leave2/(60*1000));
	//计算相差秒数
	var leave3=leave2%(60*1000);
	 //计算分钟数后剩余的毫秒数
	 var seconds=Math.round(leave3/1000);
	 seconds = seconds<10? ("0"+seconds):seconds;
	 var returnStr = seconds+ "秒";
	 if(minutes>0) 
	 {
	 	minutes = minutes<10? ("0"+minutes):minutes;
	 	returnStr = minutes + "分" + returnStr;
	 }
	 if(hours>0) 
	 {
	 	 hours = hours<10? ("0"+hours):hours;
	 	returnStr = hours + "小时" + returnStr;
	 }
	 if(days>0) 
	 {
	 	returnStr = days + "天" + returnStr;
	}
	
	 return returnStr;
}


function getPreMonth(date){
    var arr = date.split('-');
    var year = arr[0]; //获取当前日期的年份
    var month = arr[1]; //获取当前日期的月份
    var day = arr[2]; //获取当前日期的日
    var days = new Date(year, month, 0);
    days = days.getDate(); //获取当前日期中月的天数
    var year2 = year;
    var month2 = parseInt(month) - 1;
    if (month2 == 0) {
        year2 = parseInt(year2) - 1;
        month2 = 12;
    }
    var day2 = day;
    var days2 = new Date(year2, month2, 0);
    days2 = days2.getDate();
    if (day2 > days2) {
        day2 = days2;
    }
    if (month2 < 10) {
        month2 = '0' + month2;
    }
    var t2 = year2 + '-' + month2 + '-' + day2;
    return t2;
}
        
/**
 * 获取下一个月
 *
 * @date 格式为yyyy-mm-dd的日期，如：2014-01-25
 */
function getNextMonth(date){
    var arr = date.split('-');
    var year = arr[0]; //获取当前日期的年份
    var month = arr[1]; //获取当前日期的月份
    var day = arr[2]; //获取当前日期的日
    var days = new Date(year, month, 0);
    days = days.getDate(); //获取当前日期中的月的天数
    var year2 = year;
    var month2 = parseInt(month) + 1;
    if (month2 == 13) {
        year2 = parseInt(year2) + 1;
        month2 = 1;
    }
    var day2 = day;
    var days2 = new Date(year2, month2, 0);
    days2 = days2.getDate();
    if (day2 > days2) {
        day2 = days2;
    }
    if (month2 < 10) {
        month2 = '0' + month2;
    }
    
    var t2 = year2 + '-' + month2 + '-' + day2;
    return t2;
}
