var Translator = {
	getStatusStrByOrderStatusCode:function(_orderStatus){
		  switch (_orderStatus) {
		case 0:
			return "等待报价";
		case 1:	
			return "需补充资料";//此项为等待报价，但需要补充部分信息
		case 2:
		    return "延迟报价";	
		case 4:
		case 6:
			return "已报价";
		case 5:
			return "需补充资料"; //此项为已报价，但需要补充部分信息
		case 7:
		    return "无法报价";
		case 8:	
			return "资料审核中";
		case 9:
		    return "订单失效";	
		case 11:
			return "放弃购买";	
		case 14:	
		case 16:
			return "交易完成";
	 }
	},
	
	getNameByInsuranceTypeCode:function(_typeCode){
			switch(parseInt(_typeCode))
			{
				case "T01":
					return "车辆损失险(足额)";
				case "T02":
					return "全车盗抢险";
				case "T03":
					return '商业第三者责任险';
				case "T04":
					return '车上人责任险';
				case "T05":
					return '不计免赔';
				case "T06":
					return '自燃损失险';
				case "T07":
					return '车身划痕损失险';
				case "T08":
					return '涉水险';
				case "T09":
					return '玻璃单独破损险';
				case "T0a":
					return '司机';
				case "T0b":
					return '乘客';
				case "T0c":
					return '交强险';
				case "T0d":
					return  '车船税';
				case "T0e": 
					return "指定专修";
		}
	}
}

