var WxPayTool=function(_appid){
	this.appid=_appid;
	this.mch_id=null;
	this.nonce_str=null;
	this.body=null;
	this.detail=null;
	this.attach=null;
	this.out_trade_no=null;
	this.total_fee=null;//金额 分
	this.spbill_create_ip=null;
	this.time_start=null;
	this.time_expire=null;
	this.notify_url=null;
	this.product_id=null;
	this.key=null;//密钥

    WxPayTool.regPayCallback(_appid);
}

WxPayTool.cbPayResult = null;

WxPayTool.notifyPayResult = function(_payResult)
{
		if(WxPayTool.cbPayResult)
		{
			WxPayTool.cbPayResult(_payResult);
		}
}

WxPayTool.regPayCallback = function(_appid)
{
	//注册微信支付回调
	if ('iOS' == uexWidgetOne.platformName)
	{
			uexWeiXin.cbStartPay = function (payResultData)
			{
				if ( typeof payResultData == "string")
				{
					payResultData = JSON.parse(payResultData);
				}

				WxPayTool.notifyPayResult(payResultData);
				return;
			};
	}
	
	uexWeiXin.cbRegisterApp=function(opCode,dataType,data)
     {
        if(0 == data)
        {
            if('android' == uexWidgetOne.platformName)
            {
                var params = {windowName:"pay"};
               	uexWeiXin.setCallbackWindowName(JSON.stringify(params));
				return;
            }
        }
        else
        {
            uexWindow.alert("提示","应用授权失败！","确定");
            return ;
        }
     }
	 
     uexWeiXin.registerApp(_appid);
}

WxPayTool.prototype.isSupportWxPay = function()
{
	var that = this;
	uexWeiXin.cbIsSupportPay=function(opId,dataType,data)
    {
        if(0 == data)
        {
			//获取预支付订单信息
			that.getPreOrder();
        }
		else
		{
			 uexWindow.toast(0,5,"您所使用微信版本不支持支付功能！",2500);
		}
		
		return;
    }
	
	uexWeiXin.cbIsWXAppInstalled=function(opCode,dataType,data)
    {
        if(data==0)
        {
             uexWeiXin.isSupportPay();
        }
        else
        {
			 uexWindow.toast(0,5,"未安装微信，请先安装微信应用！",2500);
        }
		
		return;
    }
	
	uexWeiXin.isWXAppInstalled();
} 

WxPayTool.generateMixed = function(n){
	var chars = ['0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'];
	var str = "";
    for(var i = 0; i < n ; i ++) 
    {
        var index = Math.ceil(Math.random()*35);//cei上进位为整数35.2222=36
        str += chars[index];
    }
    return str;
}

WxPayTool.prototype.setWxPayInfo = function(_payParams){
	//准备参数
	this.appid					=	_payParams.appid;
    this.mch_id				=	_payParams.mch_id;
    this.nonce_str			=	_payParams.nonce_str;
    this.body					=	_payParams.body;
    this.detail				    =	_payParams.detail;
    this.attach				=	_payParams.attach;
    this.out_trade_no		=	_payParams.out_trade_no;
    this.total_fee			=	_payParams.total_fee;
    this.time_start			=	_payParams.time_start;
    this.time_expire		=	_payParams.time_expire;
    this.notify_url			=	_payParams.notify_url;
    this.product_id		    =	_payParams.product_id;
	this.spbill_create_ip 	=  _payParams.spbill_create_ip
    this.key					=	_payParams.key;
}

WxPayTool.prototype.startPay = function(_payParams, _cbPayResult)
{
	 
	 WxPayTool.cbPayResult= _cbPayResult;
	 this.setWxPayInfo(_payParams);
	 this.isSupportWxPay();
}

WxPayTool.prototype.setPayResultCallback = function(_cbPayResult)
{
	WxPayTool.cbPayResult= _cbPayResult;
}


WxPayTool.prototype.getPreOrder = function (){
	
	       var that = this;
		   
		   uexWeiXin.cbGetPrepayId = function(data){
				uexWindow.closeToast();
		        data=JSON.parse(data);
		        if("FAIL" == data.return_code)
		        {
		            if(isDefine(data.return_msg))
		            {
		                uexWindow.toast(0,5,data.return_msg+"！",3000);
		                return;
		            }
		            else
		            {
		                uexWindow.toast(0,5,"异常错误！",3000);
		                return;
		            }
		        }
		        else if("SUCCESS" == data.return_code)
		        {
		            //对返回值进行加密，和返回密钥相比
			        var retParams=new Array();//数组
			        var jsonStr="";//字符串
			        for(var k in data)
			        {
			            if(k=="sign")
			            {
			                continue;
			            }
			            retParams.push(k);
			        }
			        retParams=retParams.sort();
		
			        for(var i=0;i<retParams.length;i++)
			         {
			             jsonStr+=retParams[i]+"="+data[retParams[i]];
			             if(i<retParams.length-1)
			             {
			                jsonStr+="&";
			             }
			        }
					
		        	var stringSignTemp2=jsonStr+"&key="+that.key;
		        	var signStr2=hex_md5(stringSignTemp2).toUpperCase();//签名
		    
		        	if (signStr2 == data.sign)
		       		{
			            if ("FAIL" == data.result_code)
			            {
			                uexWindow.toast(0,5,"错误代码："+data.err_code+","+data.err_code_des+"，请稍后重试！",3000);
			                return;
			            }
			            else if ("SUCCESS" == data.result_code)
			            {
			                var stringB="appid="+data.appid
											+"&mch_id="+data.mch_id
											+"&nonce_str="+data.nonce_str
											+"&prepay_id="+data.prepay_id
											+"&result_code="+data.result_code
											+"&return_code="+data.return_code
											+"&return_msg="+data.return_msg
											+"&trade_type="+data.trade_type;
			                
					        uexWindow.toast(1,5, "发起支付...",0);
							setTimeout("uexWindow.closeToast()",3500);
							
			                that.startWxPay(data.prepay_id,data.mch_id); //开始支付
			            }
		        	}
		        	else
		        	{
		            	uexWindow.toast(0,5,"订单参数有误！",3000);
		            	return;
		        	}     
		      	}
		  	}
		
		    var stringA="appid="+that.appid
							+"&attach="+that.attach
							+"&body="+that.body
							+"&detail="+that.detail
							+"&fee_type=CNY&mch_id="+that.mch_id
							+"&nonce_str="+that.nonce_str
						 	+"&notify_url="+that.notify_url
							+"&out_trade_no="+that.out_trade_no
							+"&product_id="+that.product_id
							+"&spbill_create_ip="+that.spbill_create_ip
							+"&time_start="+that.time_start
							+"&total_fee="+that.total_fee
							+"&trade_type=APP";
		    
		    var stringSignTemp=stringA+"&key="+that.key;
		    var signStr=hex_md5(stringSignTemp).toUpperCase();//签名
		  
		    var jWxParams = {
									    appid:that.appid,//(必选) 微信分配的AppID
									    mch_id:that.mch_id,//(必选) 微信支付分配的商户号
									    //device_info:"1000",//(可选)
									    nonce_str:that.nonce_str,//(必选) 随机字符串，不长于32位。
									    body:that.body,//(必选) 商品或支付单简要描述
									    detail:that.detail,//(可选) 商品名称明细列表
									    attach:that.attach,//(可选) 附加数据，在查询API和支付通知中原样返回，该字段主要用于商户携带订单的自定义数据
									    out_trade_no:that.out_trade_no,//(必选) 商户系统内部的订单号,32个字符内,keyi当前系统时间加随机序列来生成订单号、可包含字母    
									    fee_type:"CNY",//(可选) 符合ISO 4217标准的三位字母代码，默认人民币：CNY
									    total_fee:that.total_fee,//(必选) 订单总金额，只能为整数
									    spbill_create_ip:that.spbill_create_ip,//(必选) 用户端ip
									    time_start:that.time_start,//(可选) 订单生成时间time_start=20151027152510&time_expire=20160703152510&
									    //time_expire:time_expire,//(可选) 订单失效时间
									    //goods_tag:"",//(可选) 商品标记，代金券或立减优惠功能的参数
									    notify_url:that.notify_url,//(必选) 接收微信支付异步通知回调地址
									    trade_type:"APP",//(必选) 交易类型，此处为固定值"APP"
									    product_id:that.product_id,//(可选) 商品ID
									    //openid:"",//(可选) 用户标识
									    sign:signStr//(必选) 签名
		    };
			
			
			uexWindow.toast(1,5, "获取预支付信息...",0);
			
		    var strWxParams = JSON.stringify(jWxParams);
		    uexWeiXin.getPrepayId(strWxParams);
} 
	
WxPayTool.prototype.startWxPay = function(_prepayId, _partnerid){
		 var d=new Date();
	     var strDate=Date.parse(d);
	     var strTimestamp=(strDate/1000).toString();
	    
	    var nonceStr="";
	    nonceStr=WxPayTool.generateMixed(20);
	
	    //生成签名
	    var stringC="appid="+this.appid
						+"&noncestr="+nonceStr
						+"&package=Sign=WXPay&partnerid="+_partnerid
						+"&prepayid="+_prepayId
						+"&timestamp="+strTimestamp;
						
	    var stringSignTempC=stringC+"&key="+this.key;
	    var signStrC=hex_md5(stringSignTempC).toUpperCase();
	
	     var payParams = {
								        appid			:	this.appid,
								        partnerid		:	_partnerid,//商户号
								        prepayid		:	_prepayId,//从预支付订单返回结果中获得
								        package		:	"Sign=WXPay",
								        noncestr		:	nonceStr,//随机字符串
								        timestamp	:	strTimestamp,//时间戳
								        sign				:	signStrC
	    							};
									
	    var strPayParams = JSON.stringify(payParams);
	    uexWeiXin.startPay(strPayParams);  
} 	