var params = {};
function collectSumbmitInfo()
{
	var iParamLength = 0;
	
	var enrollInfoObj = document.getElementById("signup_info");
	
	if (null == enrollInfoObj)
	{
		return;
	}
	
	params.act_no = enrollInfoObj.dataset.actNo;
	
	//搜集所有input输入的信息
	var inputObjs = enrollInfoObj.getElementsByTagName("input");
	for(var i=0, len=inputObjs.length ; i<len; i++)
	{
		var key = inputObjs[i].id;
		params[key] = inputObjs[i].value;
		++iParamLength;
	}
	
	//搜集所有select选择的信息
	var selObjs = enrollInfoObj.getElementsByTagName("select");
	for(var i=0, len=selObjs.length; i< len; i++)
	{
		var tempSelObj = selObjs[i];
		params[tempSelObj.id] = tempSelObj.options[tempSelObj.selectedIndex].value;
		++iParamLength;
	}
	
	if (0 < iParamLength)
	{
		//提交信息
		submit(); 
	}
	else
	{
		uexWindow.toast(0,5,"请填写活动需要信息！",2500);
	}
}

var bToast = true;
function submit()
{
		//注册回调函数
	uexXmlHttpMgr.onData =cbXmlHttpMgr;
	var userID = getUserID();
    var userName = getUserName();		
	
	var urlSubmit = baseUrl+"submitActRegInfo.php";
	uexXmlHttpMgr.open("3", "POST", urlSubmit, "");
	
	uexXmlHttpMgr.setPostData("3", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("3","0","User_name",userName);
	uexXmlHttpMgr.setPostData("3","0","version",VERSION);
	for (var key in params) 
	{
		uexXmlHttpMgr.setPostData("3","0",key,params[key]);
	}
	
    if(bToast)
	{
		uexWindow.toast("1","5","提交中","0");
	}

	uexXmlHttpMgr.send("3"); 
}

function resetToast()
{
	bToast = true;
	uexWindow.closeToast();
}

function cbXmlHttpMgr(opid, state, result)
{
	uexXmlHttpMgr.close(opid);
    if(-1 == state)
	{
		resetToast();
		uexWindow.toast(0,5,"请求出错，请检查网络状态！",3000);
		return 
	}
	else if ( 1 == state)
	{
		switch(parseInt(opid))
		{
			case 3:
			    handleSubmitCallback(result);
				break;
			case 4:
				handleGetActivityInfo(result);
				break;	
		}
	}
}

function handleSubmitCallback(_result)
{
	var jResult = JSON.parse(_result);
    var strResultCode = jResult.result;
	if(-1!=strResultCode.indexOf("ACT_SUCCESS_04"))
	{
		resetToast();
		hideEnrollPart();
		showAduitStatus(jResult.data);
	}
	else if(-1!=strResultCode.indexOf("SUCCESS00A"))
	{
		bToast = false;
		reLogin(submit);
	}
	else  
	{
	    //提交失败，显示原因 
		 resetToast();
		 uexWindow.toast(0,5, jResult.data, 2500);
	}
}

function getActivityInfo()
{
		//注册回调函数
	uexXmlHttpMgr.onData =cbXmlHttpMgr;
	var userID = getUserID();
    var userName = getUserName();		
	
	var urlGetActivityInfo = baseUrl+"getActivityInfo.php";
	uexXmlHttpMgr.open("4", "POST", urlGetActivityInfo, "");
	
	uexXmlHttpMgr.setPostData("4", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("4","0","User_name",userName);
	uexXmlHttpMgr.setPostData("4","0","version",VERSION);
	
    if(bToast)
	{
		uexWindow.toast("1","5","加载中...","0");
	}

	uexXmlHttpMgr.send("4"); 
}

function handleGetActivityInfo(_result)
{
	var jResult = JSON.parse(_result);
    var strResultCode = jResult.result;
	
	switch(strResultCode)
	{
		case "ACT_SUCCESS_01":
			var jData = JSON.parse(jResult.data);
			showAdInfo(jData.act_title, jData.act_rule);
			break;
		case "ACT_SUCCESS_02":
			var jData = JSON.parse(jResult.data);
		    startToEnroll(jData);
			break;
		case "ACT_SUCCESS_03":
			var jData = JSON.parse(jResult.data);
			showAdInfo(jData.act_title, jData.act_rule);
		    showAduitStatus(jData.act_body);
			break;	
		case "SUCCESS00A":
			bToast = false;
			reLogin(getActivityInfo);
			return;	
		default:
		     uexWindow.toast(0,5, jResult.reason, 2500);
			break;		
	}
	
	resetToast();	
	
	//新功能上线，则显示下载软件按钮
	showDownloadNewVerBtn( jResult.func_online_version);
}

function showAdInfo(_title,_rule)
{
	$$("act_title").innerHTML = _title;
	$$("act_title_info").className ="ub ub-f1 t-wh umar-b";
	
	$$("rule_content").innerHTML = _rule;
	$$("act_rule_info").className="ub ub-f1 ub-ver";
}

function showAduitStatus(actBody)
{
	$$("submit_signup_info").innerHTML =actBody;
	$$("submit_signup_info").className = "ub ub-f1  ub-ver sign_info_detail";
}

function hideEnrollPart()
{
	$$("enroll_part").innerHTML = '';
	$$("sign_up_btn").className="uhide";
}

function startToEnroll(_jData)
{
	showAdInfo(_jData.act_title, _jData.act_rule);
	
	$$("enroll_part").innerHTML = _jData.act_body;
	
	$$("sign_up_btn").className="ub ub-f1 ub-pc btn";
}

function showDownloadNewVerBtn(_ver)
{
	uexWidgetOne.cbGetCurrentWidgetInfo = function(opId, dataType, data){
			var jsonAppInfor = JSON.parse(data);
			if (jsonAppInfor.version < _ver)
			{
				$$("download_new_ver").className = "ub  ub-pc t-wh";
			}
			return;
	};
	
	uexWidgetOne.getCurrentWidgetInfo();
}

function downloadNewVer()
{
	loadLink(baseUrl);
}

