var strInsuranceID = null;
var strCompanyId = null;
var strCompanyLogo = null;
var strCompanyName=null;
var iStatusCode = null;
var strPlateNum = null;
var strCarID = null;
var isNeedAddOrEditInfo = false;


//记录所有险种价格
var priceDetailsObj = null;

function initPriceDetail()
{
	var strExtraData = localStorage.getItem("ORDER_DETAIL");
	if(!isDefine(strExtraData))
	{
		uexWindow.alert("提示","数据异常","确定");
		return;
	}

	var jExtraData = JSON.parse(strExtraData);
	strInsuranceID = jExtraData.insurance_id;
	strCompanyId = jExtraData.company_id;
	strCompanyLogo = jExtraData.company_logo;
	strCompanyName = jExtraData.company_name;
	iStatusCode = parseInt(jExtraData.status);
	strPlateNum = jExtraData.plate_num;
	strCarID = jExtraData.car_id;
	
	getPriceDetail();
}

var bToast = true;
function getPriceDetail()
{
	//注册回调函数
   uexXmlHttpMgr.onData =cbPriceDetailsResponse;
	
   var userID = getUserID();
   var userName = getUserName();
	
	var urlGetPriceDetail = baseUrl+"get_price_detail.php";
	uexXmlHttpMgr.open("15", "POST", urlGetPriceDetail, "");
	uexXmlHttpMgr.setPostData("15", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("15","0","User_name",userName);
	uexXmlHttpMgr.setPostData("15","0","insurance_id",strInsuranceID);
	uexXmlHttpMgr.setPostData("15","0","company_id",strCompanyId);
	uexXmlHttpMgr.setPostData("15","0","version",VERSION);
	
	if(bToast)
	{
		uexWindow.toast("1","5","正在加载中...","0");
	}
	
	uexXmlHttpMgr.send("15"); 
}


function cbPriceDetailsResponse(opid, state, response)
{
	  //关闭异步请求
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response);
      if ((15==opid) && (1==state)) 
	  {             
	        var jResponse = JSON.parse(response);
			var strResultCode = jResponse.result;
			switch(strResultCode)
			{
				case "success":
					resetToast();
					showPriceDetail(jResponse.data)
					break;
				case 	"SUCCESS00A":
					bToast = false;
					reLogin(getPriceDetail);
					break;
			}
       }
	   else if((15==opid)&&(-1==state))
	   {
	   	  	resetToast();
		   uexWindow.alert("提示","请求失败，请检查网络状态","确定");
	   }
}

function resetToast()
{
	bToast = true;
	uexWindow.closeToast();
}

function showPriceDetail(_jPriceDetailData)
{
	var jPriceDetail = _jPriceDetailData;
	
	var strTitle =Translator.getStatusStrByOrderStatusCode(iStatusCode);
	localStorage.setItem("TITLE",strTitle);
	uexWindow.evaluateScript('','0','setTitle()');
	
	if(14 == iStatusCode)
	{
		uexWindow.evaluateScript('','0',"showEvaluationBtn()");
	}

	showAddressDetails(jPriceDetail.receiver,jPriceDetail.addresseeTel,jPriceDetail.address);
	
	if(isDefine(jPriceDetail.comments))
	{
		$$("comment-content").innerHTML = jPriceDetail.comments;
		$$('comment').className="style-notice-board";
	}
	

	$$("plate_num").innerText = strPlateNum;
	$$("plate_num").dataset.carId=strCarID;

	$$("company_logo").style.backgroundImage = "url("+strCompanyLogo+")";
	$$("company_name").innerText=strCompanyName;

	$$("price_jqx").innerText="￥"+jPriceDetail.jiaoqiang;
	$$("price_tax").innerText ="￥"+ jPriceDetail.tax;
	
	     //当商业险原价和优惠价相等时，只需要显示一项价格
     if( jPriceDetail.total_shangyexian == jPriceDetail.shangyexiang_real)
	 {
	 	$$("syx_label").className="uhide";
	 	$$("price_syx_total").innerText ="￥"+ jPriceDetail.total_shangyexian;
		$$("price_syx_dicount").className="uhide";
	 }
	 else
	 {
	 	$$("syx_label").className="umar-r t-gra";
	 	$$("price_syx_total").innerText ="￥"+ jPriceDetail.total_shangyexian;
		$$("price_syx_dicount").className="t-red1 umar-t";
		$$("price_syx_dicount").innerText = "￥"+jPriceDetail.shangyexiang_real;
	 }
	
	
   $$("total_bf").innerText = jPriceDetail.total;
   
   	//优惠券抵扣
	var fTotalYhq = parseFloat(jPriceDetail.total)-parseFloat(jPriceDetail.total_real);
	var strTotalYhq = fTotalYhq.toFixed(2).toString();
	if('0.00' != strTotalYhq)
	{
		$$("total_yh").innerText=strTotalYhq;
		$$("part_yhq").className="ub ub-f1 price-mar-t ulev-app1 ub-ac";
	}
	
	if(jPriceDetail.commission)
	{
		showGiftPackage(jPriceDetail.commission);
	}

	
	$$("total_real").innerText=jPriceDetail.total_real;

	$$("order_id").innerText=strInsuranceID;
	$$("created_time").innerText =jPriceDetail.create_time ;

    showBxValideDateInfo( jPriceDetail.jiaoqiang
										, jPriceDetail.tax
										, jPriceDetail.jiaoqiang_start
										, jPriceDetail.jiaoqiang_end
										, jPriceDetail.shangye_start
										, jPriceDetail.shangye_end);
	
    priceDetailsObj= new InsurancePriceDetails(strInsuranceID
																			,jPriceDetail.chesun
																			,jPriceDetail.disanzeren
																			,jPriceDetail.daoqiang
																			,jPriceDetail.siji
																			,jPriceDetail.chengke
																			,jPriceDetail.ziran
																			,jPriceDetail.bolijin
																			,jPriceDetail.sheshui
																			,jPriceDetail.bujinianpei
																			,jPriceDetail.cheshenhuahen
																			,jPriceDetail.zhiding);		
}

function showGiftPackage(_jCommission)
{
	if (0 != _jCommission.commission)
	{
		$$("gift_value").innerText = "价值"+_jCommission.commission+"元";

		$$("gift_detail").innerHTML = _jCommission.compose_default.compose_name;
		$$("gift_info").className = "ub ub-ver ub-f1 part-umar-t ulev-app2 c-wh uinn";
	}
}

function toSyxPriceDetails(_e)
{
	stopPP(_e);
	var strPriceDetails = JSON.stringify(priceDetailsObj);
	localStorage.setItem("INSURANCE_TYPES_PRICE_DETAILS",strPriceDetails);
	
	uexWindow.open("commercial_price_detail",'0',"../commercial_price_detail/commercial_price_detail.html",'2','','','4','');
}

function openCarDetail()
{
	localStorage.setItem("ORDER_INSURANCE_ID",strInsuranceID);
	uexWindow.open("car_infor_detail", '0', "../car_infor_detail/car_infor_detail.html", '2', '', '', '4', '');
}

function toAdditionalInfo()
{
	var strCarID = $$("plate_num").dataset.carId;
	var jIntentData = {"insurance_id":strInsuranceID,"company_id":strCompanyId,"car_id":strCarID};

	var strComentContent = $$("comment").innerText;
	if(isDefine(strComentContent))
	{	
		jIntentData.comment = strComentContent;
	}
	else
	{	
		jIntentData.comment = "";
	}

	localStorage.setItem("IS_ADD_OR_EDIT_INFO","false");
	localStorage.setItem("ORDER_SHOW_MORE_EXTRA_PICS",JSON.stringify(jIntentData));
	uexWindow.open("additional_info", '0', "../additional_info/additional_info.html", '2', '', '', '4', '');
}


function showAddressDetails(_recipientName,_receipientTel,_receipientAddress)
{
	$$("recipient_name").innerText =_recipientName;
	$$("recipient_tel").innerText=_receipientTel;
	$$("recipient_address_detail").innerText=_receipientAddress;
	$$('address_part').className="ub ub-f1  c-wh my-ulev-1 ub-ac uinn-a ubb b-color";
}

function showBxValideDateInfo(_jqPrice,_syxPrice,_jqDateStart,_jqDateEnd,_syDateStart,_syDateEnd)
{
	//该标记用于标识是否需要显示交强险的日期
	//暂时判断依据为交强险的价格是否为0.00
	var bNeedShowJqDate = false;
	if('0.00' == _jqPrice)
	{
		bNeedShowJqDate = false; 
		$$('jq_part').className="uhide";
	}
	else
	{
		bNeedShowJqDate = true;
		
		//该标识用于标识是否有交强险的生效日期
		var hasJqStartDate = false;
		if((false!=isDefine(_jqDateStart)) && ('0000-00-00 00:00:00'!=_jqDateStart))
		{
			hasJqStartDate = true;
			$$('id_jq_start_date').innerText = _jqDateStart;
		}
		else
		{
			hasJqStartDate = false;
			$$('jq_date_start_part').className = "uhide";
		}
		
		//该标识用于标识是否有交强险的截止日期
		var hasJqEndDate = false;
		if((false!=isDefine(_jqDateEnd)) && ('0000-00-00 00:00:00'!=_jqDateEnd))
		{
			hasJqEndDate = true;
			$$('id_jq_end_date').innerText = _jqDateEnd;
		}
		else
		{
			hasJqEndDate = false;
			$$('jq_date_end_part').className = "uhide";
		}
		
		//如果交强险的生效日期和截止日期都没有，则显示“期限一年”
		if(!hasJqStartDate && !hasJqEndDate)
		{
			$$('id_jq_default_date').className="ub ub-f1 umar-l";
		}
	}
	
	
	//该标记用于标识是否需要显示商业险的日期
	//暂时判断依据为商业险的价格是否为0.00
	var bNeedShowSyxDate = false;
	if('0.00' == _syxPrice)
	{
		bNeedShowSyxDate = false; 
		$$('syx_part').className="uhide";
	}
	else
	{
		bNeedShowSyxDate = true;
		
		//该标识用于标识是否有商业险的生效日期
		var hasSyxStartDate = false;
		if((false!=isDefine(_syDateStart)) && ('0000-00-00 00:00:00'!=_syDateStart))
		{
			hasSyxStartDate = true;
			$$('id_syx_start_date').innerText = _syDateStart;
		}
		else
		{
			hasSyxStartDate = false;
			$$('syx_date_start_part').className = "uhide";
		}
		
		//该标识用于标识是否有商业险的截止日期
		var hasSyxEndDate = false;
		if((false!=isDefine(_syDateEnd)) && ('0000-00-00 00:00:00'!=_syDateEnd))
		{
			hasSyxEndDate = true;
			$$('id_syx_end_date').innerText =_syDateEnd;
		}
		else
		{
			hasSyxEndDate = false;
			$$('syx_date_end_part').className = "uhide";
		}
		
		//如果商业险的生效日期和截止日期都没有，则显示“期限一年”
		if(!hasSyxStartDate && !hasSyxEndDate)
		{
			$$('id_syx_default_date').className="ub ub-f1 umar-l";
		}
	}
	
	if(!bNeedShowJqDate && !bNeedShowSyxDate)
	{
		$$('bx_valide_date').className="uhide";
	}
	else
	{
		$$('bx_valide_date').className="ub ub-f1 c-wh ulev-app2  part-umar-t uinn";
	}
}

function toEvaluate()
{
	var jEvaluateExtraData = {"insurance_id":strInsuranceID,"company_id":strCompanyId};
	localStorage.setItem("EVALUATION_EXTRA_DATA",JSON.stringify(jEvaluateExtraData));
	uexWindow.open("evaluation",'0',"../evaluation/evaluation.html",'2','','','4','');
}
