function initParkingLotInfor()
{
	var parkingNameObj = document.getElementById("id_parking_name");
	parkingNameObj.innerText	= localStorage.getItem("monthly_parking_name");
			
	var feeObj = document.getElementById("id_parking_fee");
	feeObj.innerText = localStorage.getItem("monthly_parking_fee");
	//获取开始日期
	getMonthlyStartDate();
}


var bDateToast = true;
function getMonthlyStartDate()
{
	    //注册回调函数
	uexXmlHttpMgr.onData = cbGetStartDateResponse;
	
	var userName = getUserName();
	var userID = getUserID();
	
    var urlGetStartDate = baseUrl+"monthlyStart.php";
	uexXmlHttpMgr.open(201, "POST", urlGetStartDate, "");
	uexXmlHttpMgr.setPostData(201, "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData(201,"0","User_name",userName);
	uexXmlHttpMgr.setPostData(201,"0","grandid",grandID);
	uexXmlHttpMgr.setPostData(201,"0","version",VERSION);
	if(bDateToast)
	{
		uexWindow.toast("1","5","正在努力加载中...","0");
	}
	
	uexXmlHttpMgr.send(201); 
}

function cbGetStartDateResponse(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
	  //alert("返回数据=" + response);
      if ((201==opid) && (1==state)) 
	  {      
	  		if('null' !=response)
			{
				if(-1 != response.indexOf("SUCCESS00A"))
				{
					bDateToast = false;
					reLogin(getMonthlyStartDate);
				}
				else
				{
					uexWindow.closeToast();
				 	bDateToast = true;
					jsonDates = '';
	      		 	jsonDates = JSON.parse(response);    
		 		 	addOptionsToSelDate(jsonDates);
		 		 	changeMonthlyPeriod();
				}
			}
			else
			{ 
				uexWindow.closeToast();
				bDateToast = true;
				showNoticeBoard();
			}
      }
	  else if((201==opid)&&(-1==state))
	  {
	  	  bDateToast = true;
	  	  uexWindow.closeToast();
		  uexWindow.alert("提示","请求失败，请检查网络等状态！","确定");
	  }
}

function showNoticeBoard()
{
	document.getElementById("xzbysj").className="uhide";
	var noticeContentObj = document.getElementById("id_notice_content");
	noticeContentObj.innerText="系统暂时只支持同时对三个停车场进行包月 ，可能您已达到上限，所以本次不能对新停车场进行包月。对您造成的不便，表示歉意！";
	
	var noticeBoardObj = document.getElementById("id_noticeboard");
	noticeBoardObj.className="ub ub-f1 ub-ver umar-b c-wh";
	
	var btnConfirm = document.getElementById("id_confirm");
	btnConfirm.style.backgroundColor="#e8e8e8";
}

var arrStartDate = new Array();
function addOptionsToSelDate(_arrDates)
{
	arrStartDate.length = 0;
	for(var i=0; i<12; i++)
	{
		var strDate = _arrDates[i];
		if(('undefined'!=strDate) && (''!=strDate)&&('und'!=strDate)&&(null!=strDate))
		{
			arrStartDate.push(strDate);
		}
		else{
			break;
		}
	}

	selectDateObj.options.length=0;
	for(var i=0; i<arrStartDate.length; i++)
	{
		var option = document.createElement("OPTION");
		selectDateObj.options.add(option);
		option.innerHTML = _arrDates[i];
		option.value = _arrDates[i];
	}
	selectDateObj.selectedIndex = 0;
	showSelectText(selectDateObj,0);
}

function showSelectText(_obj,_index)
{
	if(null == _obj)
	{
		return ;
	}
	
	if (_obj) {
        var sp = _obj.parentNode; 
        if (sp) {
			var ch = sp.getElementsByTagName("div")[0];
            var t = _obj.options[_index].text;
            if (ch) {
                ch.innerHTML = t;
            }
        }
   	 }
}

function changeMonthlyPeriod()
{
	var iIndex = selectDateObj.selectedIndex;
	showSelectText(selectDateObj,iIndex)
	 var arrMonthPeriod = '';
	switch(iIndex)
	{
		case 0:
		     arrMonthPeriod = jsonDates.a;
			break;
		case 1:
			 arrMonthPeriod = jsonDates.b;
			break;
		case 2:
			 arrMonthPeriod = jsonDates.c;
			break;
		case 3:
			 arrMonthPeriod = jsonDates.d;
			break;
		case 4:
			 arrMonthPeriod = jsonDates.e;
			break;
		case 5:
			 arrMonthPeriod = jsonDates.f;
			break;
		case 6:
			 arrMonthPeriod = jsonDates.g;
			break;
		case 7:
			 arrMonthPeriod = jsonDates.h;
			break;
		case 8:
			 arrMonthPeriod = jsonDates.i;
			break;
		case 9:
			 arrMonthPeriod = jsonDates.j;
			break;
		case 10:
			 arrMonthPeriod = jsonDates.k;
			break;
		case 11:
			 arrMonthPeriod = jsonDates.l;
			break;
		default:
			break;
	}

	selectMonthPeriod.options.length=0;
	for(var i=0; i<arrMonthPeriod.length; i++)
	{
		var option = document.createElement("OPTION");
		selectMonthPeriod.options.add(option);
		option.innerHTML = arrMonthPeriod[i];
		option.value = arrMonthPeriod[i];
	}
	
	showSelectText(selectMonthPeriod,0);
	
	//可包月的情况下，设置点击付款按钮的事件
	var btnConfirm = document.getElementById("id_confirm");
	btnConfirm.style.backgroundColor="#fa5558";
	btnConfirm.onclick=function(){
			payMonthlyMoney();
			closepop(null);
	}
}

function payMonthlyMoney()
{
	var strStartDate = document.getElementById("date").innerText;
	var strMonths = document.getElementById("months").innerText;
	
	localStorage.setItem("p_start_date",strStartDate);
	localStorage.setItem("p_months",strMonths);
	
	uexWindow.open("recharge_index",'0',"../recharge_index/recharge_index.html",2,'','','4','');
}










