
function ListItem(_id,_name,_fee,_amount,_message)
{
	this.id = _id;
	this.name = _name;
	this.fee = _fee;
	this.amount = _amount;
	this.message = _message;
}
function hideNoPlotsContent()
{
	var divObj=document.getElementById("id_no_plots");
	divObj.className="uhide";
}

function showNoPlotsContent()
{
	var divObj=document.getElementById("id_no_plots");
	divObj.className=" pos_re ub-fv ub ub-ac ub-pc  t-gra-59 tx-c umar-a";
	
	var divCarList = document.getElementById("id_plots_list");
	divCarList.className="uhide";
}

function getParkingLots()
{
	uexXmlHttpMgr.onData =cbParkingLotsList;
	
   	var urlGetParkingLotsList = baseUrl+"Parking_get_parking_list.php";
	var userID = getUserID();
	var userName = getUserName();
	var cityCode=	localStorage.getItem("PARKING_CITY_CODE");
	
	uexXmlHttpMgr.open("702", "POST", urlGetParkingLotsList, 20000);
	uexXmlHttpMgr.setPostData("702", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("702","0","User_name",userName);
	uexXmlHttpMgr.setPostData("702","0","city_code",cityCode);
	uexXmlHttpMgr.setPostData("702","0","version",VERSION);
	uexWindow.toast("1","5","正在获取停车场列表..","0");
	uexXmlHttpMgr.send("702"); 
}

function cbParkingLotsList(opid, state, result)
{
	  uexWindow.closeToast();
      uexXmlHttpMgr.close(opid);
	  if(1 == state)
	  {
	  		switch(parseInt(opid))
			{
				case 702:
					handleGetParkingLotsListResponse(result);
					break;
			}
	  }
	  else if(-1 == state)
	  {
		   uexWindow.alert("提示","请求失败，请检查网络等状态","确定");
	  }
}

function handleGetParkingLotsListResponse(response)
{
	if(-1 != response.indexOf("SUCCESS00A"))
	{
		reLogin(getParkingLots);
	}
	else
	{
			if('[[]]' == response)
			{
				showNoPlotsContent();
			}
			else
			{
				hideNoPlotsContent();
	  			setParkinglotsItems(response);
			}
	}
}

function setParkinglotsItems(_data)
{
	var dataArr = JSON.parse(_data);
	
	var arrPLots = new Array();
	for(var i=0; i<dataArr.length; i++)
	{
		if(0 == dataArr[i].amount)
		{
			arrPLots.push(new ListItem(dataArr[i].id,dataArr[i].name,dataArr[i].fee,"0",dataArr[i].message));
		}
		else
		{
			arrPLots.push(new ListItem(dataArr[i].id,dataArr[i].name,dataArr[i].fee,dataArr[i].amount,dataArr[i].message));
		}

	}
	setPlotsListHtml(arrPLots);
}


function setPlotsListHtml(_Arr)
{
	var tmpl = '<div class="ub umar-t ub-f1 ub-ver c-wh"   onclick="onListItemSelected(\'${id}\',\'${name}\',\'${fee}\',\'${amount}\',\'${message}\',event);">'
				+			'<div   class="ub ub-f1 ubb c-wh ub b-gra2 t-bla lis  uh-list-item ub-ac" >'
				+				'<div class="uwh-tL ub def_umar-r">'
				+					'<div class="umh1 umw1 ub-img p_icon"></div>'
				+				'</div>'
        		+				'<div class="ub-f1 ub ut-s mar-ar1">'
             	+					'<div  class="ulev">${name}</div>'
        		+				'</div>'
        		+				'<div class="mar-ar1 ub-ac ub">'
             	+					'<div class="lis-sw ub-img arrow "></div>'
         		+				'</div>'
      			+			'</div>'
				+			'<div class="umar-a ub  ub-f1  ub-pc ub-ac" style="width:100%">'
				+				'<div class="ub ub-f1 ub-ac ub-pc ub-ver" style="width:49%">'
				+					'<div class="ub ub-f1 ub-pc">包月费用</div>'
				+					'<div class="ub ub-f1 ub-pc umar-t"><span class="tx_red umar-r ulev2">${fee}</span><span class="ulev-1">元/月</span></div>'
				+				'</div>'
				+				'<div style="border:1px dashed #DDDDDD;height:3em;"></div>'
				+				'<div class="ub ub-f1 ub-ac ub-pc  ub-ver" style="width:49%">'
				+					'<div class="ub ub-f1 ub-pc">剩余车位</div>'
				+					'<div class="ub ub-f1 ub-pc umar-t tx_red ulev2">${amount}</div>'
				+				'</div>'
				+			'</div>'	
				+			'<div class="ub ub-f1 ub-ac  ubt b-gra2 message_mp">'
				+				'<div class="umar-a tx-red ulev-1">${message}</div>'
				+			'</div>'
				+		'</div>';			  
			  
	var strHtml = zy_tmpl(tmpl, _Arr, zy_tmpl_count(_Arr));
	var divContainer = document.getElementById("id_plots_list");
  	divContainer.className="ub ub-f1 ub-ver";
	divContainer.innerHTML=strHtml;
}

function onListItemSelected(_id,_name,_fee,_amount,_message,e)
{
	if(0 == _amount)
	{
		uexWindow.toast(0,5,_message,2500);
		return;
	}
	
	stopPP(e);
    localStorage.setItem("monthly_parking_name",_name);
	localStorage.setItem("monthly_parking_fee",_fee);
	localStorage.setItem("monthly_parking_id",_id);

	uexWindow.evaluateScript('','0','showPMonthlyFeePopover()');
}

function updatePList()
{
	 getParkingLots();
}
