var addrID  = "";

function initAddressInfo()
{
	var strAddressDetails = localStorage.getItem("MODIFY_ADDRESS_DETAILS");
	if(isDefine(strAddressDetails))
	{
		var jAddressDetails = JSON.parse(strAddressDetails);
		setRecipientAddressDetail(jAddressDetails);
	}
	else
	{
		addressInit('sel_province', 'sel_city', '', '浙江', '杭州', '');
	}
}


function setRecipientAddressDetail(jAddressDetails)
{
	addrID = jAddressDetails.addrID;
	recipient.value = jAddressDetails.name;
	telNum.value = jAddressDetails.phone;
	province.innerText = jAddressDetails.province;
	city.innerText = jAddressDetails.city;
	addressDetail.value = jAddressDetails.addrDetail;
	
	addressInit('sel_province', 'sel_city', '', jAddressDetails.province, jAddressDetails.city, '');
}


var bModifyAddressToast = true;
function modifyAddressHttpRequest()
{
	//回调函数
   uexXmlHttpMgr.onData =cbModifyRecipientAddress;
   
   var userID = getUserID();
   var userName = getUserName();
   
   	var urlAddAddress = baseUrl+"add_modify_address.php";
	uexXmlHttpMgr.open("25", "POST", urlAddAddress, "");
	uexXmlHttpMgr.setPostData("25", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("25","0","User_name",userName);
	uexXmlHttpMgr.setPostData("25","0","ID",addrID);//地址ID
	uexXmlHttpMgr.setPostData("25","0","name",recipient.value);
	uexXmlHttpMgr.setPostData("25","0","cellphone",telNum.value);
	uexXmlHttpMgr.setPostData("25","0","province",province.innerText);
	uexXmlHttpMgr.setPostData("25","0","city",city.innerText);
	uexXmlHttpMgr.setPostData("25","0","address",addressDetail.value);
	uexXmlHttpMgr.setPostData("25","0","version",VERSION);
	if(bModifyAddressToast)
	{
		uexWindow.toast("1","5","正在修改中...","0");
	}
	
	uexXmlHttpMgr.send("25"); 
	
}

function cbModifyRecipientAddress(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
      if ((25==opid) && (1==state)) 
	  {             
	  	  	var jsonData = JSON.parse(response);
			var resultCode = jsonData.result;
			if(-1 != resultCode.indexOf('REG_ADDRESS_SUCCESS'))
			{
				uexWindow.closeToast();
				bModifyAddressToast = true;
				localStorage.removeItem("MODIFY_ADDRESS_DETAILS");
				
				var winName = localStorage.getItem("ADD_ADDRESS_FROM");
			
				 if ("recipient_address_list" == winName)
				 {
				 	uexWindow.evaluatePopoverScript('recipient_address_list','content','getAddressListHttpRequest()');
				 }
				 else if ("select_address" == winName)
				 {
				 	uexWindow.evaluatePopoverScript('select_address','content','getAddressListHttpRequest()');
				 }
				 
				uexWindow.evaluateScript('','0',"winClose()");
		
			}
			else if(-1 != resultCode.indexOf('SUCCESS00A')){
				bModifyAddressToast = false;
				reLogin(modifyAddressHttpRequest);
			}
			else
			{
				uexWindow.closeToast();
				bModifyAddressToast = true;
				uexWindow.toast("0","5","修改失败",2000);
			}
      }
	   else if((25==opid)&&(-1==state))
	   {
	   	   uexWindow.closeToast();
	   	   bModifyAddressToast = true;
		   uexWindow.alert("提示","请求失败，请检查网络等状态","确定");
	   }
}

function modifyRecipientAddress()
{
	if((null==recipient.value) || (''==recipient.value))
	{
		uexWindow.toast("0","5","收件人姓名不能为空",2000);
		return;
	}
	else
	{
		if(! isChinese(recipient.value))
		{
			uexWindow.toast("0","5","收件人姓名存在非中文字符",2000);
			return;
		}
	}
	
	if((null==telNum.value) || (''==telNum.value))
	{
		uexWindow.toast("0","5","收件人联系电话不能为空",2000);
		return;
	}
	else
	{
		if(!isPhone(telNum.value))
		{
			uexWindow.toast("0","5","请输入正确的手机号码",2000);
			return ;
		}
	}
	
	if((null==province.innerText) || (''==province.innerText))
	{
		uexWindow.toast("0","5","收件人所在省份不能为空",2000);
		return;
	}
	
	if((null==city.innerText) || (''==city.innerText))
	{
		uexWindow.toast("0","5","收件人所在城市不能为空",2000);
		return;
	}
	
	if((null==addressDetail.value) || (''==addressDetail.value))
	{
		uexWindow.toast("0","5","收件人详细地址不能为空",2000);
		return;
	}
	
	modifyAddressHttpRequest();
}

