var strCompanyID = null;
var strAddrID = null;
var strInsuranceID = null;
var arrAddresses = new Array();
var addrDetailsItem = null;

function init()
{
	var strExtraData = localStorage.getItem("PAYMENT_OR_ADDRESS_EXTRA_DATA");
	if(isDefine(strExtraData))
	{
		var jExtraData = JSON.parse(strExtraData);
		strInsuranceID = jExtraData.insurance_id;
		strCompanyID = jExtraData.company_id;
		getAddressListHttpRequest();
	}
}

var bShowToast = true;
function getAddressListHttpRequest()
{
	//回调函数
   uexXmlHttpMgr.onData =cbGetAddressList;
   
   var userID = getUserID();
   var userName = getUserName();
   
   	var urlGetAddressList = baseUrl+"get_address_list.php";
	uexXmlHttpMgr.open("28", "POST", urlGetAddressList, "");
	uexXmlHttpMgr.setPostData("28", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("28","0","User_name",userName);
	uexXmlHttpMgr.setPostData("28","0","version",VERSION);
	if(	bShowToast)
	{
		uexWindow.toast("1","5","正在努力加载中...","0");
	}
	
	uexXmlHttpMgr.send("28"); 
	
}

function cbGetAddressList(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> result:" + response);
      if ((28==opid) && (1==state)) 
	  {             
	  	 	var jResponse = JSON.parse(response);
			var resultCode=jResponse.result;

			if(-1 !=resultCode.indexOf('GET_ADDRESS_SUCCESS'))
			{
				 uexWindow.closeToast();
				 bShowToast = true;
				getAddressArray(jResponse.data);
			}else if(-1 !=resultCode.indexOf('SUCCESS00A'))
			{
				bShowToast = false;
				reLogin(getAddressListHttpRequest);
			}else{
				 uexWindow.closeToast();
				 bShowToast = true;
				 uexWindow.toast(0,5,"获取地址列表失败！",2000);
			}
       }
	   else if((28==opid)&&(-1==state))
	   {
	   	   uexWindow.closeToast();
		   bShowToast = true;
		   uexWindow.alert("提示","请求失败，请检查网络状态","确定");
	   }
}

function getAddressArray(jArrAddress)
{
	if(('[[]]'==jArrAddress)||(null==jArrAddress)||(''==jArrAddress)||('[]'==jArrAddress))
	{
		showNoAddressMessage();
	}
	else
	{
		arrAddresses.length=0;
		arrAddresses = jArrAddress;
		hideNoAddressMessage();
		setAddressListLayout(arrAddresses);
	}
}

function setAddressListLayout(_arrData)
{
	var titleHtml = '<div class="ub umar-a  ulev-1" style="color:red">请选择寄送地址，纸质保单、发票以及相关的赠送礼品将通过该地址寄送!</div>';
	
	var tmpl =    '<input class="uhide" type="radio"  id=\'${ID}\' name="address">'
					 + '<div class="ub ub-f1 uinn-eo1 ubb b-gra2 txt-color ulev-1 ub-ac" onmousedown="zy_touch(\'\',zy_for)" ontouchstart="zy_touch(\'\',zy_for)">'
				     +         '<div class="uwh-icon ub-img newstianjia mar-r"></div>'
					 +			'<div class="ub ub-f1 ub-ver  t-bla ">'
		 			 +				'<div class="ub">'
			 		 +					'<div class="ub-f1">${name}</div>'
			 		 +					'<div class="ub-pe ufm1">${phone}</div>'
		 			 +				'</div>'
		 			 +             '<div class="line-hei umar-t word-brk">${province}${city}${address}</div>'
	 				 +         '</div>'
                     +'</div>';
					 		 
					 
	var strHtml = zy_tmpl(tmpl, _arrData, zy_tmpl_count(_arrData));
	var divContainer = document.getElementById("id_addressList");
	divContainer.innerHTML=titleHtml+strHtml;
}

function showNoAddressMessage()
{
	var divObj=document.getElementById("id_show_no_address");
	divObj.className=" pos_re ub-fv ub ub-ac ub-pc  t-gra tx-c umar-a";
	
	var divListContent = document.getElementById("id_addressList");
	divListContent.className='uhide';
}

function hideNoAddressMessage()
{
	var divObj=document.getElementById("id_show_no_address");
	divObj.className="uhide";
	
	var divListContent = document.getElementById("id_addressList");
	divListContent.className='ub ub-ver c-wh';
}

function confirm()
{
	var inputsArr = document.getElementsByName("address");
	if(0 ==inputsArr.length )
	{
		uexWindow.toast("0","5","没有收件地址信息！",2500);
		return;
	}
	
	var hasSelectItem = false;
	for(var i=0; i<inputsArr.length; i++)
	{
		var obj = inputsArr[i];
		if((obj.type=="radio") && (obj.checked))
		{
			  hasSelectItem = true;
			  bindAddressToOrder(i);
			  return;
		}
	}

	if(false == hasSelectItem)
	{
		uexWindow.toast("0","5","请选择寄送地址!",2500);
		return;
	}
}

function RecipientAddress(_name,_phone,_provice,_city,_address)
{
	this.name = _name;
	this.phone =_phone;
	this.province = _provice;
	this.city = _city;
	this.address = _address;
}

function bindAddressToOrder(_index)
{
	addrDetailsItem = arrAddresses[_index];
	 strAddrID = addrDetailsItem.ID;
	 addressConfirmHttpRequest();
}

var bAddressConfirmToast = true;
function addressConfirmHttpRequest()
{
		//回调函数
   uexXmlHttpMgr.onData =cbChooseAddress;
   
   var userID = getUserID();
   var userName = getUserName();
   
   	var urlChooseAddress = baseUrl+"choose_insurance_address.php";
	uexXmlHttpMgr.open("29", "POST", urlChooseAddress, "");
	uexXmlHttpMgr.setPostData("29", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("29","0","User_name",userName);
	uexXmlHttpMgr.setPostData("29","0","insurance_id",strInsuranceID);
	uexXmlHttpMgr.setPostData("29","0","address_id",strAddrID);
	uexXmlHttpMgr.setPostData("29","0","company_id",strCompanyID);
	
	if(bAddressConfirmToast)
	{
		uexWindow.toast("1","5","绑定地址中...","0");
	}
	
	uexXmlHttpMgr.send("29"); 
}

function cbChooseAddress(opid, state, _response)
{
	  //关闭异步请求
	
      uexXmlHttpMgr.close(opid);
	 //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> result:" + _response);
      if ((29==opid) && (1==state)) 
	  {             
	  	 	var jsonData = JSON.parse(_response);
			var resultCode=jsonData.result;
			if(-1 !=resultCode.indexOf('INSERT_ADDRESS_SUCCESS'))
			{
				  uexWindow.closeToast();
				  bAddressConfirmToast=true;

				 var addressObj = new RecipientAddress( addrDetailsItem.name
																, addrDetailsItem.phone
																, addrDetailsItem.province
																, addrDetailsItem.city
																, addrDetailsItem.address);
										
	 			  localStorage.setItem("ADDRESS_DETAILS",JSON.stringify(addressObj));
				  uexWindow.evaluatePopoverScript('daigoumai_detail','content','updateAddressDetails()');
				  uexWindow.evaluateScript('','0','backToPreWin()');
			}
			else if(-1 !=resultCode.indexOf('SUCCESS00A'))
			{
				bAddressConfirmToast = false;
				reLogin(addressConfirmHttpRequest);
			}
       }
	   else if((29==opid)&&(-1==state))
	   {
	   	  uexWindow.closeToast();
		  bAddressConfirmToast = true;
		   uexWindow.alert("提示","请求失败，请检查网络等状态","确定");
	   }
}
