
var strUCID = '';

var totalWz = 0;
var totalKouf = 0;
var totalFakuan = 0.00;

var isShowNoRecord = false;
var isShowErrorMsg = false;


function init()
{
	setPageBounce(2,pullDownToRefresh, null);
	//通知主窗口加载车牌和省市信息
	uexWindow.evaluateScript('','0', 'initQueryInfo()');
}

function pullDownToRefresh()
{
	//当用户选择第一个选项，请选择车牌时
	if ("-1" == strUCID)
	{
		resetBV(0);
		resetAllData();
		 toShowErrorMessage("请选择或添加您要查询的车辆！");
		return;
	}
	
  bToast = false;
   resetAllData();
   getWzInfo();
}

function toQueryWz(_UCID)
{
	strUCID = _UCID;
	
	//当用户选择第一个选项，请选择车牌时
	if ("-1" == strUCID)
	{
		resetBV(0);
		resetAllData();
		 toShowErrorMessage("请选择或添加您要查询的车辆！");
		return;
	}
	
	resetAllData();
   getWzInfo();
}

function resetAllData()
{
	
	totalWz = 0;
	totalKouf = 0;
	totalFakuan = 0.00;
	
	if ($$("id_wz_list").firstChild)
	{
		$$("id_wz_list").removeChild($$("id_wz_list").firstChild);
	}
	
	hideNoRecordMsg();
	toHideErrorMessage();
	
	toUpdateWzCountInfo(0,0,0);
}

var bToast  = true;
function getWzInfo()
{
		//回调函数
   uexXmlHttpMgr.onData =cbWzInfo;
   
   var userID = getUserID();
   var userName = getUserName();
   
   	var urlGetWzInfo = baseUrl+"wz_query.php";

	uexXmlHttpMgr.open("109", "POST", urlGetWzInfo, 20000);
	uexXmlHttpMgr.setPostData("109", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("109","0","User_name", userName);
	uexXmlHttpMgr.setPostData("109","0","UCID",strUCID);
	uexXmlHttpMgr.setPostData("109","0","version",VERSION);
	if(bToast)
	{
		uexWindow.toast(1,5,"获区违章信息...",0);
	}
	
	uexXmlHttpMgr.send("109"); 
}

function resetToast()
{
	bToast = true;
	resetBV(0);
	uexWindow.closeToast();
}


function cbWzInfo(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
	  
	  if (-1 == state)
	  {
	  	   resetTosat();
		   uexWindow.toast(0,5, "请求失败，请求超时或网络不稳定!", 2500);
		   return;
	  }
	  else if ((1== state) && ('109'==opid))
	  {
		   var jResponse = JSON.parse(response);
		   var strResult = jResponse.result;
		   
		   switch(strResult)
		   {
		   	  case "SUCCESS":
			  	 resetToast();
			    handleWxData(jResponse.data);
			  	break;
			  case "SUCCESS00A":
			     bToast = true;
				 reLogin(getWzInfo);
			  	break;
			  case "FAILED":
			    resetToast();
				uexWindow.toast(0,5, jResponse.data, 3000);
			  	break;
			  case "FAILED_001":
			  	 resetToast();
				 toShowErrorMessage("车架号或发动机号有误，<a onclick=\'toModifyCarInfo()\' class=\'t-red1\'>点击修改</a>！");
				 setTimeout("toModifyCarInfo()", 500);
			  	break;
			  case "FAILED_002":
			    resetToast();
				toShowErrorMessage("请求失败，<a onclick=\'pullDownToRefresh()\' class=\'t-red1\'>点击刷新</a>！");
			    break;	
			case "FAILED_003":
				resetToast();
			  	toShowErrorMessage( jResponse.data);
			  default:
			  	break;
		   }   
	  } 
}

function toModifyCarInfo()
{
	localStorage.setItem("MODIFY_UCID", strUCID);
	 uexWindow.evaluateScript('', '0', 'showAddCarInfoPop()');
}


function handleWxData(_arrWxItems)
{
	var iArrWzLength = _arrWxItems.length;
	if (0 == iArrWzLength)
	{
		showNoRecord();
		return;
	}
	else
	{
		appendItemToList(_arrWxItems);
	}	
}

function appendItemToList(_arrWxItems)
{
	var tmpl = 
						'<div class="ub umar-t c-wh ub-ver uinn">'
			      +        '<div class="ub ub-f1 ub-ac ubb b-gra2 uinn-b">'
			      +          	'<div class="ub ub-f1  t-red1 ulev-app1">未处理</div>'
			      +          	'<div class="ub ub-f1 ub-pc">'
			      +         		'<span class="ulev-app1  t-gra3">扣分</span>'
				  +					'<span id="wz_count" class="t-red1 fa-x marl">${cb:fen}</span>'
			      +          	'</div>'
				  +				'<div class="ub ub-f1 ub-pe ">'
				+					'<span class="ulev-app1  t-gra3">罚款</span>'
				+					'<span id="wz_count" class="t-red1 fa-x marl">${money}</span>'
				+				'</div>'
			     +   		'</div>'
				+			 '<div classs="ub ub-f1 ub-ver umar-t">'
			     +   			 '<div class="ub ub-f1 ub-ac ulev-app1">'
			      +          		'<span class=" wx-info-c">时间:</span>'
				+					'<span id="date" class="marl t-gra3">${date}</span>'
			     +           	'</div>'
				+				'<div class="ub ub-f1 umar-t ub-ac ulev-app1">'
			+						'<span class="wx-info-c">地点:</span>'
			+						'<span id="area" class=" marl t-gra3">${area}</span>'
			+					'</div>'
			+					'<div class="ub ub-f1 umar-t ub-ac ulev-app1">'
			+						'<span class=" wx-info-c">行为:</span>'
			+						'<span id="act" class="marl t-gra3">${act}</span>'
			+					'</div>'
			 +       		'</div>'
			 +       	'</div>';
			 
	var strHtml = zy_tmpl(tmpl, _arrWxItems, zy_tmpl_count(_arrWxItems),tmpleCb);
	var d = document.createElement('DIV');
  	d.innerHTML=strHtml;
	d.className="umar-t";
	$$("id_wz_list").appendChild(d);
	
	//更新总罚款扣分信息
	toUpdateWzCountInfo(totalWz, totalKouf, totalFakuan);
}

function tmpleCb(a, b){
    switch (b[1]) {
	    case 'fen':
		     totalWz++;
			 
			 if (a.fen)
			 {
			 	 totalKouf += parseInt(a.fen);
			 }
			 
			 if(a.money)
			 {
			 	totalFakuan += parseFloat(a.money);
			 }

			 return a.fen;
		default:
			break;	 
	}
}

function toUpdateWzCountInfo(_wz, _kf, _fk)
{
	uexWindow.evaluateScript('','0', 'updateWzCountInfo("'+_wz+'","'+_kf+'","'+_fk+'")');
}

function toShowErrorMessage(_msg)
{
	resetAllData();
	
	if (!isShowErrorMsg)
	{
		isShowErrorMsg = true;
		$$("comment_content").innerHTML = _msg;
		$$("comment").className = "ub ub-ver ub-fv ub-ac ub-pc t-gra3";
	}
}

function toHideErrorMessage()
{
	if (isShowErrorMsg)
	{
		isShowErrorMsg = false;
		$$("comment").className = "uhide";
	}
}

function showNoRecord()
{
	if (!isShowNoRecord)
	{
		isShowNoRecord = true;
		$$("show_no_wz_record").className = "ub ub-ver ub-fv ub-ac ub-pc t-gra3";
	}
}


function hideNoRecordMsg()
{
	if (isShowNoRecord)
	{
		isShowNoRecord = false;
		$$("show_no_wz_record").className = "uhide";
	}
}
