var iStep = 10;
var offset = 0;

var isPullUp = false;
var isPullDown = false;

var bShowNoResult = true;

var arrCars = new Array();

function initCarList()
{
	setPageBounce(2,pullDownToRefresh,pullUpToLoadMore);
	getCarListFormService();
}

function pullDownToRefresh()
{
   isPullDown = true;
   //因为加载的时候有加载提示，所以无需再另行提示；
   bToast = false;
   offset = 0;
   bShowNoResult = true;
   
   clear();
   getCarListFormService();
}


function clear()
{
	arrCars.length =0;
	document.getElementById("id_car_list").innerHTML = "";
}

function pullUpToLoadMore()
{ 
	isPullUp = true;
	bToast = false;
	getCarListFormService();
}

function reset()
{
	bShowNoResult = true;
	offset = 0;
	bLoadingToast = true;
	isClearList = true;
}

function resetTosatAndBV()
{
	bToast = true;
	uexWindow.closeToast();
	
	if(isPullDown)
	{
		isPullDown = false;
		resetBV("0");
	}
	
	if(isPullUp)
	{
		isPullUp = false;
		resetBV("1");
	}
}

var bToast = true;
function getCarListFormService()
{
		//回调函数
   uexXmlHttpMgr.onData =cbGetCarListResponse;
   
   var userID = getUserID();
   var userName = getUserName();
   
   	var urlGetCarList = baseUrl+"get_car_list.php";
	uexXmlHttpMgr.open("1", "POST", urlGetCarList, 20000);
	uexXmlHttpMgr.setPostData("1", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("1","0","User_name",userName);
	uexXmlHttpMgr.setPostData("1", "0", "start", offset);
	uexXmlHttpMgr.setPostData("1","0","num_list",iStep);
	uexXmlHttpMgr.setPostData("1","0","version",VERSION);
	if(bToast)
	{
		uexWindow.toast("1","5","正在努力加载中...","0");
	}
	
	uexXmlHttpMgr.send("1"); 
}

function cbGetCarListResponse(opid, state, result)
{
	  //关闭异步请求
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> result:" + result);
      if ((1==opid) && (1==state)) 
	  {             
			var jResult = JSON.parse(result);
			var strGetResult = jResult.result;
		    if('SUCCESS00A'==strGetResult)
			{
				bToast = false;
				reLogin(getCarListFormService);
			}
			else if("success"==strGetResult){
				resetTosatAndBV();
				getCarArray(jResult);
			}	
			else
			{
				resetTosatAndBV();
				uexWindow.toast('0',"5","获取列表失败",2000);
			}	
       }
	   else if((1==opid)&&(-1==state))
	   {
	   	   resetTosatAndBV();
		   uexWindow.alert("提示","请求失败，请检查网络等状态","确定");
	   }
}


function getCarArray(_jResult)
{
	var arrSize = _jResult.Num;
	if(('0'==arrSize)||(null==arrSize)||(''==arrSize))
	{
		if(bShowNoResult)
		{
			showNoCarInforContent();
		}
		else
		{
			uexWindow.toast('0',"5","无更多数据",2000);
		}
		return;
	}
	else
	{
		hideNoCarInforContent();
		offset  += iStep;
		bShowNoResult = false;
   		var dataArr = JSON.parse(_jResult.data);
		for(var i=0; i<dataArr.length; i++)
		{
			arrCars.push(dataArr[i]);
		}
		setCarListHtml(dataArr);
	}
}


function getStatusStrByCode(_statusCode)
{
	   var strStaus = "";
	   
	   switch(_statusCode)
	   {
	   	case '0':
			 strStaus = "正在识别";
			break;
	   	case '1':
			strStaus =  "识别完成,等待确认";
			break;
		case '2':
			strStaus = "您可进行报价";
			break;
		case 'a'	:
		 strStaus = "识别失败";
			break;
		case '3':
			strStaus="需补充资料";	
			break;
		default:
			 strStaus="其它";
			break;
	   }

	  return strStaus;
}

function hideNoCarInforContent()
{
	var divObj=document.getElementById("id_show_no_car_infor");
	divObj.className="uhide";
	var divCarList = document.getElementById("id_car_list");
	divCarList.className="ub ub-ver";
}

function showNoCarInforContent()
{
	var divObj=document.getElementById("id_show_no_car_infor");
	divObj.className="ub-fv ub ub-ac ub-pc  t-gra  ub-ver";
	
	var divCarList = document.getElementById("id_car_list");
	divCarList.className="uhide";
}

function setCarListHtml(_carArr)
{
	var tmpl = '<div class="ub ub-ac ub-pj c-wh umar-t uinn item-min-height" ontouchstart="zy_touch(\'ani-act\')" onclick="onListItemSelected(\'${UCID}\',event);"  id=\"${UCID}\">'
		        	+	'<div class="ub car-info-fc ub-ac">'
					+		'<div class="ub-img goodsImg1"></div>'
					+		'<div class="ub ub-ver mar-tl ulev-1">'
		            +     		'<div>${Ower}</div>'
					+			'<div class="umar-t" >${Plate_Num}</div>'
					+		'</div>'
		          	+	'</div>'
				  	+	'<div class="ub ub-ac">'
               	  	+		'<div  class="ulev-1 t-red1 ub ub-ac">${cb:status}</div>'
					+		'<div class="arrow btn_wh1 ub-img"></div>'
                  	+	'</div>'
					+'</div>';
	var strHtml = zy_tmpl(tmpl, _carArr, zy_tmpl_count(_carArr),tmpleCb);
	var d = document.createElement('DIV');
  	d.innerHTML=strHtml;
	d.className="umar-t";
	$$("id_car_list").appendChild(d);
}

function tmpleCb(a, b){
    switch (b[1]) {
	    case 'status':
			 return getStatusStrByCode(a.status);
	}
}

function onListItemSelected(_carID,_e)
{
	stopPP(_e);
	localStorage.setItem("car_list_selected_ucid",_carID);
	uexWindow.open("upload_pics",'0',"../upload_pics/upload_pics.html",2,'','',4,'');
}


function addCarInfor(_event)
{
	stopPP(_event);
	localStorage.setItem("car_list_selected_ucid",'');
	uexWindow.open("upload_pics",'0',"../upload_pics/upload_pics.html",2,'','',4,'');
}

function deleteItem()
{   
	var delCarID = localStorage.getItem("car_list_selected_ucid");
	var delItemObj = $$(delCarID);
	var parentObj = delItemObj.parentNode;
	parentObj.removeChild(delItemObj);
	
	//当删除了所有信息后，显示没有汽车信息
	if(0 == parentObj.childNodes.length)
	{
		superParObj = parentObj.parentNode;
		superParObj.removeChild(parentObj);
		if(0 == superParObj.childNodes.length)
		{
			showNoCarInforContent();
		}
	}
}







