var strInsuranceID = null;
var strCompanyId = null;
var strCompanyLogo = null;
var strCompanyName=null;
var iStatusCode = null;
var strPlateNum = null;
var strCarID = null;
var isNeedAddOrEditInfo = false;

//是否同时享受优惠券和礼包
var bMulShared = false;

//记录所有险种价格
var priceDetailsObj = null;

var fLimite = 0.00;
var fTotal = 0.00;
var fActualPay = 0.00;
var hasValiableCoupons = false;
var arrSelectedCouponIDs = new Array();

function initPriceDetail()
{
	var strExtraData = localStorage.getItem("ORDER_DETAIL");
	if(!isDefine(strExtraData))
	{
		uexWindow.alert("提示","数据异常","确定");
		return;
	}

	var jExtraData = JSON.parse(strExtraData);
	strInsuranceID = jExtraData.insurance_id;
	strCompanyId = jExtraData.company_id;
	strCompanyLogo = jExtraData.company_logo;
	strCompanyName = jExtraData.company_name;
	iStatusCode = parseInt(jExtraData.status);
	strPlateNum = jExtraData.plate_num;
	strCarID = jExtraData.car_id;
	
	getPriceDetail();
}

var bToast = true;
function getPriceDetail()
{
	//注册回调函数
   uexXmlHttpMgr.onData =cbPriceDetailsResponse;
	
   var userID = getUserID();
   var userName = getUserName();
	
	var urlGetPriceDetail = baseUrl+"get_price_detail.php";
	uexXmlHttpMgr.open("15", "POST", urlGetPriceDetail, "");
	uexXmlHttpMgr.setPostData("15", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("15","0","User_name",userName);
	uexXmlHttpMgr.setPostData("15","0","insurance_id",strInsuranceID);
	uexXmlHttpMgr.setPostData("15","0","company_id",strCompanyId);
	uexXmlHttpMgr.setPostData("15","0","version",VERSION);
	
	if(bToast)
	{
		uexWindow.toast("1","5","正在加载中...","0");
	}
	
	uexXmlHttpMgr.send("15"); 
}


function cbPriceDetailsResponse(opid, state, response)
{
	  //关闭异步请求
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response);
      if ((15==opid) && (1==state)) 
	  {             
	        var jResponse = JSON.parse(response);
			var strResultCode = jResponse.result;
			switch(strResultCode)
			{
				case "success":
					resetToast();
					showPriceDetail(jResponse.data)
					break;
				case 	"SUCCESS00A":
					bToast = false;
					reLogin(getPriceDetail);
					break;
			}
       }
	   else if((15==opid)&&(-1==state))
	   {
	   	  	resetToast();
		   uexWindow.alert("提示","请求失败，请检查网络状态","确定");
	   }
}

function resetToast()
{
	bToast = true;
	uexWindow.closeToast();
}

function showPriceDetail(_jPriceDetailData)
{
	var jPriceDetail = _jPriceDetailData;
	
	var strTitle =Translator.getStatusStrByOrderStatusCode(iStatusCode);
	localStorage.setItem("TITLE",strTitle);
	uexWindow.evaluateScript('','0','setTitle()');

    //状态5为需要补充资料或资料未审核通过
	if(5 == iStatusCode)
	{
		//在未补充资料状态时，不允许添加地址
		$$("address_part").className="uhide";
		
		isNeedAddOrEditInfo = true;
		$$("extra-pics").innerText = "请根据提示补充或编辑资料";
		
		uexWindow.evaluateScript('','0','disablePayBtn()');
	}
	else if((7==iStatusCode) || (9==iStatusCode) || (11==iStatusCode))
	{
		//在未补充资料状态时，不允许添加地址
		$$("address_part").className="uhide";
		
		uexWindow.evaluateScript('','0','disablePayBtn()');
	}
	else if(8 == iStatusCode)
	{
		//在补充资料未审核通过时，不允许添加地址
		$$("address_part").className="uhide";
		
		$$("extra-pics").innerText = "资料审核中";
		uexWindow.evaluateScript('','0','disablePayBtn()');
	}
	else if(6 == iStatusCode)//状态6为用户已选择寄送地址,则显示地址信息
	{
		showAddressDetails(jPriceDetail.receiver,jPriceDetail.addresseeTel,jPriceDetail.address);
	}
	
	if(isDefine(jPriceDetail.comments))
	{
		$$("comment-content").innerHTML = jPriceDetail.comments;
		$$('comment').className="style-notice-board";
	}
	

	$$("plate_num").innerText = strPlateNum;
	$$("plate_num").dataset.carId=strCarID;

	$$("company_logo").style.backgroundImage = "url("+strCompanyLogo+")";
	$$("company_name").innerText=strCompanyName;

	$$("price_jqx").innerText="￥"+jPriceDetail.jiaoqiang;
	$$("price_tax").innerText ="￥"+ jPriceDetail.tax;

      //当商业险原价和优惠价相等时，只需要显示一项价格
     if( jPriceDetail.total_shangyexian == jPriceDetail.shangyexiang_real)
	 {
	 	$$("syx_label").className="uhide";
	 	$$("price_syx_total").innerText ="￥"+ jPriceDetail.total_shangyexian;
		$$("price_syx_dicount").className="uhide";
	 }
	 else
	 {
	 	$$("syx_label").className="umar-r t-gra";
	 	$$("price_syx_total").innerText ="￥"+ jPriceDetail.total_shangyexian;
		$$("price_syx_dicount").className="t-red1 umar-t";
		$$("price_syx_dicount").innerText = "￥"+jPriceDetail.shangyexiang_real;
	 }

	$$("order_id").innerText=strInsuranceID;
	$$("created_time").innerText =jPriceDetail.create_time ;

    $$("total").innerText = "￥"+jPriceDetail.total;
	
	//显示应付金额
	fTotal = parseFloat(jPriceDetail.total).toFixed(2);
	fActualPay = fTotal;
	uexWindow.evaluateScript("","0","setPayMoney('"+fTotal+"')");
	
	
	//记录优惠券和礼包是否可以同时享受
	if (0 == jPriceDetail.cutoff_status){
		bMulShared = false;
	}
	else if(1 == jPriceDetail.cutoff_status){
		bMulShared = true;
	}
	
	//处理订单是否有可使用的优惠券信息
	handleCouponDetails(jPriceDetail.couponAvailableNumber,  jPriceDetail.MaxDiscountRate, jPriceDetail.msg);
	
	//显示礼包价值
	handleGiftPackage( jPriceDetail.commission);

	//商业险明细
    priceDetailsObj= new InsurancePriceDetails(strInsuranceID
																	,jPriceDetail.chesun
																	,jPriceDetail.disanzeren
																	,jPriceDetail.daoqiang
																	,jPriceDetail.siji
																	,jPriceDetail.chengke
																	,jPriceDetail.ziran
																	,jPriceDetail.bolijin
																	,jPriceDetail.sheshui
																	,jPriceDetail.bujinianpei
																	,jPriceDetail.cheshenhuahen
																	,jPriceDetail.zhiding);																		

}

function handleGiftPackage(_jCommission)
{
	if (0 != _jCommission.commission)
	{
		$$("gift_package").style.display = "-webkit-box";
		$$("gift_value").innerText =_jCommission.commission;

		var giftObj = $$("gift_detail");
		var parentObj = giftObj.parentNode;
		var strGiftDetail = _jCommission.compose_default.compose_name;
		giftObj.innerHTML = strGiftDetail;

		if (parentObj.offsetWidth < giftObj.offsetWidth )
		{
			var marqueeObj = document.createElement("marquee");
			marqueeObj.appendChild(giftObj);
			parentObj.appendChild(marqueeObj);
		}

		giftObj.dataset.id =_jCommission.compose_default.compose_code;
	}
}

function handleCouponDetails(_couponsNum,_maxDiscountRate,_yhqNotice)
{
	if(0 == parseInt(_couponsNum))
	{
		$$("coupons_num").style.backgroundColor="#a8a8a8";
		$$("yh_money").innerText="不可用";
	}
	else
	{
		$$("coupons_num").style.backgroundColor="#FF3030";
		hasValiableCoupons = true;
		$$("yh_money").innerText="未使用";
	}
	
	$$("yhq_notice").innerHTML=_yhqNotice;
	$$("coupons_num").innerText=_couponsNum+"张可用";
	
	var fMaxDiscountRate = parseFloat(_maxDiscountRate);
	fLimite = (fTotal*fMaxDiscountRate).toFixed(2);
}

function toSyxPriceDetails(_e)
{
	stopPP(_e);
	var strPriceDetails = JSON.stringify(priceDetailsObj);
	localStorage.setItem("INSURANCE_TYPES_PRICE_DETAILS",strPriceDetails);
	
	uexWindow.open("commercial_price_detail",'0',"../commercial_price_detail/commercial_price_detail.html",'2','','','4','');
}

function openCarDetail()
{
	localStorage.setItem("ORDER_INSURANCE_ID",strInsuranceID);
	uexWindow.open("car_infor_detail", '0', "../car_infor_detail/car_infor_detail.html", '2', '', '', '4', '');
}

function toAdditionalInfo()
{
	var strCarID = $$("plate_num").dataset.carId;
	var jIntentData = {"insurance_id":strInsuranceID,"company_id":strCompanyId,"car_id":strCarID,"order_status":iStatusCode};

	var strComentContent = $$("comment").innerText;
	if(isDefine(strComentContent))
	{	
		jIntentData.comment = strComentContent;
	}
	else
	{	
		jIntentData.comment = "";
	}
	
	if(isNeedAddOrEditInfo)
	{
		localStorage.setItem("IS_ADD_OR_EDIT_INFO","true");
	}
	else
	{
		localStorage.setItem("IS_ADD_OR_EDIT_INFO","false");
	}

	localStorage.setItem("ORDER_SHOW_MORE_EXTRA_PICS",JSON.stringify(jIntentData));
	uexWindow.open("additional_info", '0', "../additional_info/additional_info.html", '2', '', '', '4', '');
}

function toNext()
{
	var jExtraData = {"company_id":strCompanyId,"insurance_id":strInsuranceID};
	
	if(4 == iStatusCode)
	{
//		localStorage.setItem("PAYMENT_OR_ADDRESS_EXTRA_DATA",JSON.stringify(jExtraData));
//		uexWindow.open("select_address", '0', "../select_address/select_address.html", '2', '', '', '4', '');
		uexWindow.toast(0,5,"请选择保单或礼品的寄送地址！",2500);
	}
	else if(6 == iStatusCode)
	{
		
		if(bMulShared)
		{
			jExtraData.couponsID = arrSelectedCouponIDs;
			jExtraData.gift_code = getGiftCode();
		}
		else
		{
			if (0 != arrSelectedCouponIDs.length)
			{
				jExtraData.couponsID = arrSelectedCouponIDs;
				jExtraData.gift_code = "";
			}
			else
			{
				jExtraData.couponsID = arrSelectedCouponIDs;
				jExtraData.gift_code = getGiftCode();
			}
		}
		
		//天安保险直接快钱支付
		if ("C28" == strCompanyId)
		{
			localStorage.setItem("PAYMENT_OR_ADDRESS_EXTRA_DATA",JSON.stringify(jExtraData));
			uexWindow.open("payment_index", '0', "../payment_index/payment_index.html", '2', '', '', '4', '');
		}
		else
		{
			jExtraData.addr_details = {"r_name": $$("recipient_name").innerText, "r_cel":$$("recipient_tel").innerText, "r_addr":$$("recipient_address_detail").innerText};
			
			jExtraData.company_name=strCompanyName;
			jExtraData.actual_pay = fActualPay;
			
			localStorage.setItem("PAYMENT_OR_ADDRESS_EXTRA_DATA",JSON.stringify(jExtraData));
			uexWindow.open("pay", '0', "../pay/pay.html", '2', '', '', '4', '');
		}
	}
	else if((8 ==iStatusCode) || (9==iStatusCode) || (11 ==iStatusCode))
	{
	}
	else
	{
		uexWindow.toast(0,5,"资料审核中或未提交资料！",2500);
	}
}

function getGiftCode()
{
	var strGiftCode = $$("gift_detail").dataset.id;
	if(isDefine(strGiftCode))
	{
		return strGiftCode;
	}
	else
	{
		return "";
	}
}

function updateAddressDetails()
{
	var strAddressDetails =  localStorage.getItem("ADDRESS_DETAILS");
	if(!isDefine(strAddressDetails))
	{
		uexWindow.toast(0,5,"获取地址信息出错！",2000);
		return;
	}

	//客户端将状态订单状态修改为6，即可付款,否则点击付款无法进入付款流程
	iStatusCode = 6;
	
	var jAddressDetails = JSON.parse(strAddressDetails);
	showAddressDetails(jAddressDetails.name,jAddressDetails.phone,jAddressDetails.province+jAddressDetails.city+jAddressDetails.address)
}

function showAddressDetails(_recipientName,_receipientTel,_receipientAddress)
{
	//隐藏选择地址提示
	$$("choose_addr").className ="uhide";
	
	$$("recipient_name").innerText =_recipientName;
	$$("recipient_tel").innerText=_receipientTel;
	$$("recipient_address_detail").innerText=_receipientAddress;
	$$('addr_details').className="ub ub-f1 ub-ver";
//	uexWindow.evaluateScript('','0','changeBtnText()');
//	
//	//移除baseinfo外边距
//	$$("base_info").style.marginTop = 0;
}

function toChangeAddress()
{
	var jExtraData = {"company_id":strCompanyId,"insurance_id":strInsuranceID};
	localStorage.setItem("PAYMENT_OR_ADDRESS_EXTRA_DATA",JSON.stringify(jExtraData));
	uexWindow.open("select_address", '0', "../select_address/select_address.html", '2', '', '', '4', '');
}


function closePayWins()
{
	uexWindow.evaluateScript('pay','0','winCloseDirect()');
	uexWindow.evaluateScript('payment_index','0','winCloseDirect()');
}

var bGetPayStatusToast = true;
function getPayStatus()
{
	closePayWins();
	//注册回调函数
   uexXmlHttpMgr.onData =cbOrderDetailsResponse;
	
   var userID = getUserID();
   var userName = getUserName();
	
	var urlGetPayStatus = baseUrl+"salesman_status.php";
	uexXmlHttpMgr.open("23", "POST", urlGetPayStatus, "");
	uexXmlHttpMgr.setPostData("23", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("23","0","User_name",userName);
	uexXmlHttpMgr.setPostData("23","0","insurance_id",strInsuranceID);
	uexXmlHttpMgr.setPostData("23","0","version",VERSION);
	if(bGetPayStatusToast)
	{
		uexWindow.toast("1","5","正在获取支付状态...","0");
	}
	
	uexXmlHttpMgr.send("23"); 
}
function cbOrderDetailsResponse(opid, state, response)
{
	  //关闭异步请求
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response);
      if ((23==opid) && (1==state)) 
	  {             
			var jResponse = JSON.parse(response);
			var strResultCode = jResponse.message;
			if("success"==strResultCode)
			{
				 resetToast();	 
				 var jStatusData = jResponse.arr;
				 handlePayResult(jStatusData.status,jStatusData.status2);
			}
			else if("SUCCESS00A"==strResultCode){
				bGetPayStatusToast = false;
				reLogin(getPayStatus);
			}
			else
			{
				uexWindow.toast(0,5,"获取支付状态出错！",2500);
			}
       }
	  else if((23==opid)&&(-1==state))
	   {
	   	   resetToast();
		   uexWindow.alert("提示","获取支付状态失败，请检查网络等状态","确定");
	   }
}

function resetToast()
{
	uexWindow.closeToast();
	bGetPayStatusToast = true;
}

function handlePayResult(_payStatus,_bindStatus)
{
	if('1' == _payStatus)
	{
		paySuccess(_bindStatus);
	}
	else
	{
		payFailed();
	}
}

function payFailed()
{
    uexWindow.evaluateScript('','0','showPayFailPopover()');
}

function paySuccess(_bindStatus)
{
	if(1 == parseInt(_bindStatus))
	{
		localStorage.setItem("ALREADY_BIND_CONSULTANT","true");
	}
	else
	{
		localStorage.setItem("ALREADY_BIND_CONSULTANT","false");
	}
	
				//评价用
	var jEvaluateExtraData = {"insurance_id":strInsuranceID,"company_id":strCompanyId};
	localStorage.setItem("EVALUATION_EXTRA_DATA",JSON.stringify(jEvaluateExtraData));
	uexWindow.evaluateScript('','0','showPaySuccessPopover()');
}

function selectAvaliableCoupons()
{
	if(hasValiableCoupons)
	{
		var jIntentExtraData = {"insurance_id":strInsuranceID,"company_id":strCompanyId,"selectedCoupons":arrSelectedCouponIDs};
		localStorage.setItem("TO_GET_AVALIABLE_COUPONS",JSON.stringify(jIntentExtraData));
		uexWindow.open("coupons", '0', "../coupons/coupons.html", '2', '', '', '4', '');
	}
}

function updateTotalToPay()
{
	var strUpdateParams = localStorage.getItem("UPDATE_TOTAL_TO_PAY");
	var jUpdateParams = JSON.parse(strUpdateParams);
	
	if(isDefine(jUpdateParams.totalMoney))
	{
			var fYhqTotalMoney  =  parseFloat(jUpdateParams.totalMoney);
			arrSelectedCouponIDs = jUpdateParams.couponIDs;
			//优惠的金额
			var fYouhuiquan = 0.00;
			var fRealPay  = 0.00;
			if(fYhqTotalMoney >= fLimite )
			{
				fRealPay = fTotal-fLimite;
		 		 fYouhuiquan = fLimite;
			}
			else
			{
				fRealPay = fTotal -fYhqTotalMoney;
				fYouhuiquan = fYhqTotalMoney.toFixed(2);
			}
			
			$$("yh_money").innerText="最多可抵扣 ￥"+fYouhuiquan;
			
			fRealPay = fRealPay.toFixed(2);
			fActualPay = fRealPay;
			uexWindow.evaluateScript("","0","setPayMoney('"+fRealPay+"')");
			
			//当使用优惠券时，不同时与其它优惠享受。
			if (!bMulShared)
			{
				hideGiftPackagePart();
			}
	}
	else
	{
		showGiftPackagePart();
	}
}

function notUseCoupons()
{
	arrSelectedCouponIDs.length=0;
	$$("yh_money").innerText="未使用";
	uexWindow.evaluateScript('','0',"setPayMoney('"+fTotal+"')");
}

function hideGiftPackagePart()
{
	$$("gift_package").style.display ="none"; 
	
	if (isDefine($$("gift_detail").dataset.id))
	{
		$$("notice_info").innerText = "您已选择使用优惠券，将无法同时享受礼包或其它优惠！";
		$$("switch_btn").checked = true;
		$$("multiple_Shared_part").style.display = "-webkit-box";
	}
}

/**
 * 显示礼包，隐藏使用优惠券后的提示，价格恢复使用优惠券前
 */
function showGiftPackagePart()
{
	if (isDefine($$("gift_detail").dataset.id))
	{
		$$("gift_package").style.display ="-webkit-box"; 
	}
	
	$$("multiple_Shared_part").style.display = "none";
	
	notUseCoupons();
}

function selectGiftPackage()
{
	var jExtraData = {"company_id":strCompanyId,"insurance_id":strInsuranceID,"default_gift_id":$$("gift_detail").dataset.id};
	localStorage.setItem("FOR_GET_GIFTS", JSON.stringify(jExtraData));
	uexWindow.evaluateScript('','0',"showGiftPopover()");
}

function updateGiftInfo()
{
	var strGiftDetail = localStorage.getItem("GIFT_PACKAGE_DETAIL");
	if (isDefine(strGiftDetail))
	{
		var jGiftDetail = JSON.parse(strGiftDetail);
		
		var giftObj = $$("gift_detail");
		giftObj.innerHTML = jGiftDetail.gift_detail;
		
		$$("gift_value").innerText = jGiftDetail.gift_value;
		
		var parentObj = giftObj.parentNode;
		var marqueeObj = document.getElementsByTagName("marquee")[0];
		
		if (parentObj.offsetWidth < giftObj.offsetWidth )
		{
			if (null == marqueeObj)
			{
				marqueeObj = document.createElement("marquee");
				marqueeObj.appendChild(giftObj);
				parentObj.appendChild(marqueeObj);
			}
		}
		else
		{
			if (null != marqueeObj)
			{
				var superObj = parentObj.parentNode;
				superObj.removeChild(parentObj);
				superObj.appendChild(giftObj);
			}
		}

		giftObj.dataset.id = jGiftDetail.gift_id;
	}
	
	localStorage.removeItem("GIFT_PACKAGE_DETAIL");
}

function useCouponOrNot(_e, _bChecked)
{
	if (!_bChecked)
	{
		showGiftPackagePart();
	}
}

