var isPullUp = false;
var isPullDown = false;

var offset = 0;
var iStep = 8;	

var bLoadingToast = true;

var isClearList = true;
var bShowNoResult = true;
var arrAllOrderItems = null;

var userID = null;
var userName = null;

var  cbSetHtml = null;

function initBasicInfo()
{
	arrAllOrderItems = new Array();
	setPageBounce(2,pullDownToRefresh,pullUpToLoadMore);
}

function reset()
{
	bShowNoResult = true;
	offset = 0;
	bLoadingToast = true;
	isClearList = true;
}

function pullDownToRefresh()
{
   isPullDown = true;
   //因为加载的时候有加载提示，所以无需再另行提示；
   bLoadingToast = false;
   offset = 0;
   bShowNoResult = true;
   
   clear();
   httpGetOrdersByStatus();
}

function pullUpToLoadMore()
{ 
	isPullUp = true;
	bLoadingToast = false;
	httpGetOrdersByStatus();
}


function clear()
{
	arrAllOrderItems.length =0;
	document.getElementById("id_insuranceList").innerHTML = "";
}

var strOrderStatus = "FT0";
function getOrdersByStatus(_status,_cb)
{
	strOrderStatus = _status;
	cbSetHtml = _cb;
	httpGetOrdersByStatus();
}

function httpGetOrdersByStatus()
{
	 uexXmlHttpMgr.onData =cbGetAllOrdersResponse;
	
	if(bLoadingToast)
	{
		uexWindow.toast("1","5","正在努力加载中...","0");
	}
	
	userID = getUserID();
	userName = getUserName();
	
	var urlGetOrders = baseUrl+"get_insurance_list.php";
	uexXmlHttpMgr.open("14", "POST", urlGetOrders, 20000);
	uexXmlHttpMgr.setPostData("14", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("14","0","User_name",userName);
	uexXmlHttpMgr.setPostData("14","0","status",strOrderStatus);
	uexXmlHttpMgr.setPostData("14","0","start",offset);
	uexXmlHttpMgr.setPostData("14","0","end",iStep);
	uexXmlHttpMgr.setPostData("14","0","version",VERSION);
	uexXmlHttpMgr.send("14"); 
}


function cbGetAllOrdersResponse(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
	  //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> result:" + response);
      if ((14==opid) && (1==state)) 
	  {   
			var strResponseResult = JSON.parse(response);
			var strResult = strResponseResult.result;
			if("SUCCESS"==strResult)
			{
				resetTosatAndBV();
				parseOrdersInfor(strResponseResult.data,strResponseResult.Num);
			 }  
			 else if('SUCCESS00A'==strResult)
			 {
				bLoadingToast = false;
				reLogin(httpGetOrdersByStatus);
			 }
			 else
			 {
				resetTosatAndBV();
				uexWindow.toast('0',"5","获取列表失败",2000);
			 } 
       }
	   else if((14==opid)&&(-1==state))
	   {
	   		resetTosatAndBV();
		   uexWindow.alert("提示","加载失败，请检查网络等状态","确定");
	   }
}

function resetTosatAndBV()
{
	bLoadingToast = true;
	uexWindow.closeToast();
	
	if(isPullDown)
	{
		isPullDown = false;
		resetBV("0");
	}
	
	if(isPullUp)
	{
		isPullUp = false;
		resetBV("1");
	}
}


function parseOrdersInfor(_ordersInfo,_num)
{
	if(('0'==_num) || (0==_num))
	{
		if(bShowNoResult)
		{
			showNoOrderInfor();
		}
		else
		{
			uexWindow.toast('0',"5","无更多数据",2000);
		}
		return;
	}
	else
	{
		offset += iStep;
		bShowNoResult = false;
		hideNoOrderInfor();
	}

	for(var i=0; i<_ordersInfo.length; i++)
	{
		var orderItem = _ordersInfo[i];
		arrAllOrderItems.push(orderItem);
	}
	
    //显示所有订单列表
	if(cbSetHtml)
	{
		cbSetHtml(_ordersInfo);
	}
}

function getOrderItemByInsuranceID(_insuranceID,_companyID)
{
	for(var i=0; i<arrAllOrderItems.length; i++)
	{
		if((_insuranceID==arrAllOrderItems[i].insurance_id) && (_companyID==arrAllOrderItems[i].companyid))
		{
			return arrAllOrderItems[i];
		}
	}
	
	return null;
}

function delOrderItemByInsuranceID(_insuranceID,_companyID)
{
	for(var i=0; i<arrAllOrderItems.length; i++)
	{
		if((_insuranceID==arrAllOrderItems[i].insurance_id) && (_companyID==arrAllOrderItems[i].companyid))
		{
			arrAllOrderItems.splice(i,1);
			return;
		}
	}
}

function showNoOrderInfor()
{
	var noOrderDiv = document.getElementById("id_show_no_order_infor");
	noOrderDiv.className="ub-fv ub ub-ac ub-pc  t-gra  ub-ver";
}
function hideNoOrderInfor()
{
	var noOrderDiv = document.getElementById("id_show_no_order_infor");
	noOrderDiv.className="uhide";
}