function callCustomServiceHotline()
{
	uexCall.dial(strCustomHotline);
}

var strInsuranceID = null;
var strCompanyId = null;
var strGiftCode = null;
var strCouponIDs = null;
var jAddrDetails = null;
var strCompanyName = null;
var strActualPay = null;
var  myAppID = "wx68057a5da7492562"; 

//支付方式
var strPayMethod = 'yl';

var wxPayTool = null;
var aliPayTool = null;

function setHotLine()
{
	$$("hotline").innerText = "咨询热线:"+strCustomHotline;
}

function init()
{
	setHotLine();
	//初始化微信支付
   wxPayTool = new WxPayTool(myAppID);
   
   //初始化Alipay支付
   aliPayTool = new AlipayTool();

	var strPaymentParams  = localStorage.getItem("PAYMENT_OR_ADDRESS_EXTRA_DATA");
    if(isDefine(strPaymentParams))
	{
		 jPaymentParams = JSON.parse(strPaymentParams);
		 
		 strInsuranceID = jPaymentParams.insurance_id;
		 strCompanyId = jPaymentParams.company_id;
		 strCompanyName = jPaymentParams.company_name;
		 $$("company_name").innerText = strCompanyName;

		 $$("actual_pay").innerText = jPaymentParams.actual_pay;
		 
		 strGiftCode     =jPaymentParams.gift_code;
		 
		 if(isDefine(jPaymentParams.couponsID))
		{
			strCouponIDs = "["+jPaymentParams.couponsID.toString()+"]";
		}
		else
		{
			strCouponIDs = "[]";
		}
		
		jAddrDetails = jPaymentParams.addr_details;
		$$("r_name").innerText = jAddrDetails.r_name;
		$$("r_cel").innerText = jAddrDetails.r_cel;
		$$("r_addr").innerText = jAddrDetails.r_addr;
	}
}

function checkPay(_e,_bChecked)
{
	var ch;
	if(_e.currentTarget)
    	ch = _e.currentTarget.previousElementSibling;
	else
		ch = _e.previousElementSibling;
	
	if (ch  && _bChecked)
	{
		strPayMethod = ch.id;
	}	
}

function readyToPay()
{
	switch (strPayMethod)
	{
		case 'yl':
			uexWindow.open("payment_index", '0', "../payment_index/payment_index.html", '2', '', '', '4', '');
			break;
		case 'alip':
		case 'wx':
			uexWindow.evaluateScript('','conent','disablePayBtn()');
			getPrepayInfo();
			break;		
	}
}


var bToast = true;
function getPrepayInfo()
{
	//注册回调函数
   uexXmlHttpMgr.onData =cbGetPrepayInfoResponse;

   var userID = getUserID();
   var userName = getUserName();

	var urlGetPrepayInfo = baseUrl+"getPrepayInfo.php";
	uexXmlHttpMgr.open(56, "POST", urlGetPrepayInfo, "");
	uexXmlHttpMgr.setPostData(56, 0, "User_ID",        userID);
	uexXmlHttpMgr.setPostData(56, 0, "User_name",   userName);
	uexXmlHttpMgr.setPostData(56, 0, "insurance_id", strInsuranceID);
	uexXmlHttpMgr.setPostData(56, 0, "company_id",  strCompanyId);
	uexXmlHttpMgr.setPostData(56, 0, "gift_code", 	 strGiftCode);
	uexXmlHttpMgr.setPostData(56, 0, "arrcoupons",   strCouponIDs);
	uexXmlHttpMgr.setPostData(56, 0, "pay_method",  strPayMethod);
	uexXmlHttpMgr.setPostData(56, 0, "version", VERSION);
	if(bToast)
	{
		uexWindow.toast(1, 5, "请求支付", "0");
	}
	
	uexXmlHttpMgr.send("56"); 
}

function cbGetPrepayInfoResponse(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
	  uexWindow.evaluateScript('','conent','enablePayBtn()');
      if ((56==opid) && (1==state)) 
	  {             
			var jResponse = JSON.parse(response);
			var strResultCode = jResponse.result;
			if ("suspend_payment" == strResultCode)
			{
				resetToast();	 
				handleSuspentPayment(jResponse.message);
			}
			else if ("weixinpaySuccess"==strResultCode) //成功
			{
				 resetToast();	 
				 jResponse.data.spbill_create_ip = getHandledClientIP(jResponse.IP);
				 wxPayTool.startPay(jResponse.data, cbWxPayResult);
			}
			else if ("alipaySuccess" == strResultCode)
			{
				resetToast();
				aliPayTool.startAlipay(jResponse.data, cbAlipayResult);
			}
			else if ("SUCCESS00A"==strResultCode)  //session失效
			{   
				bToast = false;
				reLogin(getPrepayInfo);
			}
			else if ("aleardyPayed" == strResultCode) //订单已支付，请勿重复支付
			{
				resetToast();	 
				uexWindow.toast(0,5, "订单已支付，请勿重复支付！",2500);
				handleAlreadyPayed(jResponse.status);
			}
			else if ("coupnsOverDue" == strResultCode) //优惠券过期
			{
				resetToast();	 
				if ("wx" == strPayMethod)
				{
					 jResponse.data.spbill_create_ip = getHandledClientIP(jResponse.IP);
					 wxPayTool.setWxPayInfo(jResponse.data);
					 wxPayTool.setPayResultCallback(cbWxPayResult);
				}
				else if ('alip' == strPayMethod)
				{
					aliPayTool.setAlipayInfo(jResponse.data);
					aliPayTool.setAlipayCallback(cbAlipayResult);
				}
				
				handleHasExpCoupons(jResponse.price, jResponse.overDuecoupons);
			}
			else if ("cutofftimeOverDue" == strResultCode) //超过支付截止时间
			{
				resetToast();	 
				uexWindow.alert("提示","该订单已经超过支付截止日期"+jResponse.cutofftime+",请重新询价！", "确定");
			}
			else
			{
				resetToast();	 
				uexWindow.toast(0, 5, "请求失败！" ,2500);
			}
       }
	   else if((56==opid)&&(-1==state))
	   {
	   	   resetToast();
		   uexWindow.alert("提示","请求失败，请检查网络状态","确定");
	   }
}

function resetToast()
{
	bToast = true;
	uexWindow.closeToast();
}

//去除IP地址中的斜杠
function getHandledClientIP(_clientIP)
{
	return  _clientIP.replace(/\\/g, '');
}

function handleAlreadyPayed(_orderStatus)
{
	if('14' == _orderStatus)
	{
		localStorage.setItem('OPEN_ORDERS_LIST_TYPE','waiting_evaluation');
	}
	else if('16'== _orderStatus)
	{
		localStorage.setItem('OPEN_ORDERS_LIST_TYPE','complete');
	}	
	
	//标记用于关闭订单列表和添加图片之间的窗口
	localStorage.setItem("JUMP_WIN_NAME","pay");
	uexWindow.open("insurance_orders_list",'0',"../insurance_orders_list/insurance_orders_list.html",1,'','',4,'');
}


function handleHasExpCoupons(_newPrice, _expCoupons)
{
	var strPrice =  parseFloat(_newPrice).toFixed(2);
	$$("actual_pay").innerText = strPrice;	 
	//var arrExpiredCoupons = _expCoupons;
	
	uexWindow.cbConfirm=function(opId,dataType,data){
        if(1==data)
		{
			//继续发起支付
			if ('wx' == strPayMethod)
			{
				wxPayTool.getPreOrder();
			}
			else if ('alip' == strPayMethod)
			{
				 aliPayTool.toAlipay();
			}
		}
     }
	uexWindow.confirm("提示",'您选择的优惠券部分已超过使用期限，无法使用。应付金额为'+strPrice,["取消","继续支付"]);
}

function handleSuspentPayment(_message){
	uexWindow.evaluateScript('','conent','setPaymentBtnGray()');
	uexWindow.alert("提示", _message, "确定");
}

function toEvaluation()
{
	var jEvaluateExtraData = {"insurance_id":strInsuranceID,"company_id":strCompanyId};
	localStorage.setItem("EVALUATION_EXTRA_DATA",JSON.stringify(jEvaluateExtraData));
	
	uexWindow.open("evaluation",'0',"../evaluation/evaluation.html",'2','','','4','');
}


function cbWxPayResult(_payResult)
{
	var jPayResult =_payResult;
    if('0' == jPayResult.errCode)
    {
	   toEvaluation();
    }
    else if ('-1' == jPayResult.errCode)
    {
        uexWindow.toast(0,5,jPayResult.errStr+"签名错误或其他异常！",3000);
    }
}

function cbAlipayResult(status, des) 
{
    if (0 == status)
    {
      	toEvaluation();
    }
    else if (2 == status)
    {
        uexWindow.toast(0,5,des+"！",3000); 
    }
}

