var strDefaultPlateNum = '';

var isNeedShowGuidePage = false;

function initQueryInfo()
{
	var hasShowGuidePage = localStorage.getItem("SHOW_WX_GUIDE_PAGE");
	if ("true"!=hasShowGuidePage)
	{
		isNeedShowGuidePage = true;
	}
	
	getCarList();
}

function showGuidePage()
{
	showGuidePop();
	localStorage.setItem("SHOW_WX_GUIDE_PAGE", "true")
}

function updateCarList(_plateNum)
{
	strDefaultPlateNum = _plateNum;
	getCarList();
}

var bToast = true;
function getCarList()
{
		//回调函数
   uexXmlHttpMgr.onData =cbGetCarList;
   
   var userID = getUserID();
   var userName = getUserName();
   
   	var urlGetCarList = baseUrl+"get_car_list.php";

	uexXmlHttpMgr.open("1", "POST", urlGetCarList, 20000);
	uexXmlHttpMgr.setPostData("1", "0", "User_ID", userID);
	uexXmlHttpMgr.setPostData("1","0","User_name",userName);
	uexXmlHttpMgr.setPostData("1","0","version",VERSION);
	if(bToast)
	{
		uexWindow.toast(1,5,"加载汽车列表...",0);
	}
	
	uexXmlHttpMgr.send("1"); 
}

function cbGetCarList(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
	  
	  if (-1 == state)
	  {
	  	   resetTosat();
		   uexWindow.toast(0,5, "请求失败，请求超时或网络不稳定!", 2500);
		   return;
	  }
	  else if (1 == state)
	  {
		   handleCarList(response);
	  } 
}

function getCarArray(_jResult)
{
	var arrSize = _jResult.Num;
	if(('0'==arrSize)||(null==arrSize)||(''==arrSize))
	{
		showAddCarInfoPop();
		return;
	}
	else
	{
		if(isNeedShowGuidePage)
		{
			showGuidePage();
			isNeedShowGuidePage =false;
		}
		
   		var dataArr = JSON.parse(_jResult.data);
        addPlateNumToSelect($$("sel_plate_num"), dataArr);
		changePlateNum($$("sel_plate_num"));
	}
}

function addPlateNumToSelect(_obj,_arrData)
{
    _obj.options.length=0;
    _obj.selectedIndex = 0;
	
	 var option = document.createElement("OPTION");
     _obj.options.add(option);
	 option.innerHTML = "请选择车牌";
     option.value = "-1";
	

    for(var i=0; i<_arrData.length; i++)
    {
        var option = document.createElement("OPTION");
        _obj.options.add(option);
    
         option.innerHTML = _arrData[i].Plate_Num;
         option.value = _arrData[i].UCID;
		 option.dataset.province = _arrData[i].Province;
		 option.dataset.city = _arrData[i].city;
		 
		 if (strDefaultPlateNum ==  _arrData[i].Plate_Num)
		 {
		 	//加一是由于新添加了默认项
		 	_obj.selectedIndex = i+1;
		 }
    }
    
   zy_selectmenu("sel_plate_num");
}

function handleCarList(_strResponse)
{        
		var jResponse = JSON.parse(_strResponse);
		var strGetResult = jResponse.result;
	    if('SUCCESS00A'==strGetResult)
		{
			bToast = false;
			reLogin(getCarList);
		}
		else if("success"==strGetResult)
		{
			resetToast();
			getCarArray(jResponse);
		}		
}

function resetToast()
{
	 bToast = true;
	 uexWindow.closeToast();
}

function changePlateNum(_self)
{
	var strIndex = _self.selectedIndex;
    zy_selectmenu(_self.id);
	
	//initProvCities(false, strProvince, strCity);
	toNotifyQueryWz(_self.options[strIndex].value);
}

function  toNotifyQueryWz(strUCID)
{
	uexWindow.evaluatePopoverScript('', 'content', 'toQueryWz("'+strUCID+'")');
}

function updateWzCountInfo(_totalWz, _totalKouf, _totalFakuan)
{
	$$("wz_count").innerText = _totalWz;
	$$("kf_count").innerText = _totalKouf;
	$$("fk_count").innerText = _totalFakuan;
}
